<?php

##################################################################################
#    HOTELDRUID
#    Copyright (C) 2001-2011 by Marco Maria Francesco De Santis (marco@digitaldruid.net)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    any later version accepted by Marco Maria Francesco De Santis, which
#    shall act as a proxy as defined in Section 14 of version 3 of the
#    license.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
##################################################################################

$pag = "creaprezzi.php";
$titolo = "HotelDruid: Crea Prezzi";

include("./dati/dati_connessione.php");
include("./includes/funzioni_$PHPR_DB_TYPE.php");
$numconnessione = connetti_db($PHPR_DB_NAME,$PHPR_DB_HOST,$PHPR_DB_PORT,$PHPR_DB_USER,$PHPR_DB_PASS,$PHPR_LOAD_EXT);
include("./includes/funzioni.php");
include("./includes/sett_gio.php");
include("./includes/funzioni_tariffe.php");
include("./includes/funzioni_costi_agg.php");
$tableappartamenti = $PHPR_TAB_PRE."appartamenti";
$tablebeniinventario = $PHPR_TAB_PRE."beniinventario";
$tablemagazzini = $PHPR_TAB_PRE."magazzini";
$tableregole = $PHPR_TAB_PRE."regole".$anno;


$id_utente = controlla_login($numconnessione,$PHPR_TAB_PRE,$id_sessione,$nome_utente_phpr,$password_phpr,$anno);
if ($id_utente) {

if ($id_utente != 1) {
$tableprivilegi = $PHPR_TAB_PRE."privilegi";
$tablerelgruppi = $PHPR_TAB_PRE."relgruppi";
$privilegi_annuali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '$anno'");
if (numlin_query($privilegi_annuali_utente) == 0) $anno_utente_attivato = "NO";
else {
$anno_utente_attivato = "SI";
$privilegi_globali_utente = esegui_query("select * from $tableprivilegi where idutente = '$id_utente' and anno = '1'");
$priv_vedi_tab = risul_query($privilegi_annuali_utente,0,'priv_vedi_tab');
$priv_vedi_tab_periodi = substr($priv_vedi_tab,3,1);
$priv_vedi_tab_appartamenti = substr($priv_vedi_tab,5,1);
if ($priv_vedi_tab_appartamenti == "g") $prendi_gruppi = "SI";
$priv_mod_pers = risul_query($privilegi_globali_utente,0,'priv_mod_pers');
if (substr($priv_mod_pers,0,1) != "s") $modifica_pers = "NO";
$priv_inventario = risul_query($privilegi_globali_utente,0,'priv_inventario');
$priv_vedi_beni_inv = substr($priv_inventario,0,1);
$priv_vedi_inv_mag = substr($priv_inventario,2,1);
$priv_mod_beni_in_mag = substr($priv_inventario,5,1);
if ($priv_mod_beni_in_mag == "g") $prendi_gruppi = "SI";
$priv_vedi_inv_app = substr($priv_inventario,6,1);
$priv_mod_beni_in_app = substr($priv_inventario,8,1);
if ($priv_mod_beni_in_app == "g") $prendi_gruppi = "SI";
if ($priv_vedi_beni_inv == "g" or $priv_vedi_inv_mag == "g" or $priv_vedi_inv_app == "g") $prendi_gruppi = "SI";
$priv_ins_prenota = risul_query($privilegi_annuali_utente,0,'priv_ins_prenota');
$priv_ins_nuove_prenota = substr($priv_ins_prenota,0,1);
$priv_ins_assegnazione_app = substr($priv_ins_prenota,1,1);
$priv_mod_prenota = risul_query($privilegi_annuali_utente,0,'priv_mod_prenota');
$priv_mod_prenotazioni = substr($priv_mod_prenota,0,1);
if ($priv_mod_prenotazioni == "g") $prendi_gruppi = "SI";
$priv_mod_assegnazione_app = substr($priv_mod_prenota,2,1);
$regole1_consentite = risul_query($privilegi_annuali_utente,0,'regole1_consentite');
$attiva_regole1_consentite = substr($regole1_consentite,0,1);
$applica_regole1 = substr($regole1_consentite,1,1);
if ($attiva_regole1_consentite != "n" or $applica_regole1 == "n") $regole1_consentite = explode("#@^",substr($regole1_consentite,3));
$tariffe_consentite = risul_query($privilegi_annuali_utente,0,'tariffe_consentite');
$attiva_tariffe_consentite = substr($tariffe_consentite,0,1);
if ($attiva_tariffe_consentite == "s") {
$tariffe_consentite = explode(",",substr($tariffe_consentite,2));
unset($tariffe_consentite_vett);
for ($num1 = 0 ; $num1 < count($tariffe_consentite) ; $num1++) if ($tariffe_consentite[$num1]) $tariffe_consentite_vett[$tariffe_consentite[$num1]] = "SI";
} # fine if ($attiva_tariffe_consentite == "s")
$costi_agg_consentiti = risul_query($privilegi_annuali_utente,0,'costi_agg_consentiti');
$attiva_costi_agg_consentiti = substr($costi_agg_consentiti,0,1);
if ($attiva_costi_agg_consentiti == "s") {
$costi_agg_consentiti = explode(",",substr($costi_agg_consentiti,2));
unset($costi_agg_consentiti_vett);
for ($num1 = 0 ; $num1 < count($costi_agg_consentiti) ; $num1++) if ($costi_agg_consentiti[$num1]) $costi_agg_consentiti_vett[$costi_agg_consentiti[$num1]] = "SI";
} # fine if ($attiva_costi_agg_consentiti == "s")
$priv_ins_tariffe = risul_query($privilegi_annuali_utente,0,'priv_ins_tariffe');
$priv_mod_tariffe = substr($priv_ins_tariffe,0,1);
$priv_ins_costi_agg = substr($priv_ins_tariffe,1,1);
if ($priv_ins_costi_agg == "g") $prendi_gruppi = "SI";
} # fine else if (numlin_query($privilegi_annuali_utente) == 0)

$priv_app_gruppi = "NO";
if ($priv_vedi_tab_appartamenti == "g") $priv_app_gruppi = "SI";
if ($priv_app_gruppi == "SI") {
$attiva_regole1_consentite_gr[$id_utente] = $attiva_regole1_consentite;
$regole1_consentite_gr[$id_utente] = $regole1_consentite;
$attiva_tariffe_consentite_gr[$id_utente] = $attiva_tariffe_consentite;
$tariffe_consentite_vett_gr[$id_utente] = $tariffe_consentite_vett;
$priv_ins_nuove_prenota_gr[$id_utente] = $priv_ins_nuove_prenota;
$priv_ins_assegnazione_app_gr[$id_utente] = $priv_ins_assegnazione_app;
$priv_mod_prenotazioni_gr[$id_utente] = $priv_mod_prenotazioni;
$priv_mod_assegnazione_app_gr[$id_utente] = $priv_mod_assegnazione_app;
} # fine if ($priv_app_gruppi == "SI")
unset($utenti_gruppi);
$utenti_gruppi[$id_utente] = 1;
if ($prendi_gruppi == "SI") {
$gruppi_utente = esegui_query("select idgruppo from $tablerelgruppi where idutente = '$id_utente' and idgruppo is not NULL ");
$num_gruppi_utente = numlin_query($gruppi_utente);
for ($num1 = 0 ; $num1 < $num_gruppi_utente ; $num1++) {
$idgruppo = risul_query($gruppi_utente,$num1,'idgruppo');
$utenti_gruppo = esegui_query("select idutente from $tablerelgruppi where idgruppo = '$idgruppo' ");
$num_utenti_gruppo = numlin_query($utenti_gruppo);
for ($num2 = 0 ; $num2 < $num_utenti_gruppo ; $num2++) {
$idutente_gruppo = risul_query($utenti_gruppo,$num2,'idutente');
if ($idutente_gruppo != $id_utente and !$utenti_gruppi[$idutente_gruppo]) {
$utenti_gruppi[$idutente_gruppo] = 1;

if ($priv_app_gruppi == "SI") {
$priv_anno_ut_gr = esegui_query("select * from $tableprivilegi where idutente = '$idutente_gruppo' and anno = '$anno'");
if (numlin_query($priv_anno_ut_gr) == 1) {
$regole1_consentite_gr[$idutente_gruppo] = risul_query($priv_anno_ut_gr,0,'regole1_consentite');
$attiva_regole1_consentite_gr[$idutente_gruppo] = substr($regole1_consentite_gr[$idutente_gruppo],0,1);
if ($attiva_regole1_consentite_gr[$idutente_gruppo] != "n") $regole1_consentite_gr[$idutente_gruppo] = explode("#@^",substr($regole1_consentite_gr[$idutente_gruppo],3));
$tariffe_consentite_tmp = risul_query($priv_anno_ut_gr,0,'tariffe_consentite');
$attiva_tariffe_consentite_gr[$idutente_gruppo] = substr($tariffe_consentite_tmp,0,1);
if ($attiva_tariffe_consentite_gr[$idutente_gruppo] == "s") {
$tariffe_consentite_tmp = explode(",",substr($tariffe_consentite_tmp,2));
$tariffe_consentite_vett_gr[$idutente_gruppo] = "";
for ($num1 = 0 ; $num1 < count($tariffe_consentite_tmp) ; $num1++) if ($tariffe_consentite_tmp[$num1]) $tariffe_consentite_vett_gr[$idutente_gruppo][$tariffe_consentite_tmp[$num1]] = "SI";
} # fine if ($attiva_tariffe_consentite_gr[$idutente_gruppo] == "s")
$priv_ins_prenota_tmp = risul_query($priv_anno_ut_gr,0,'priv_ins_prenota');
$priv_ins_nuove_prenota_gr[$idutente_gruppo] = substr($priv_ins_prenota_tmp,0,1);
$priv_ins_assegnazione_app_gr[$idutente_gruppo] = substr($priv_ins_prenota_tmp,1,1);
$priv_mod_prenota_tmp = risul_query($priv_anno_ut_gr,0,'priv_mod_prenota');
$priv_mod_prenotazioni_gr[$idutente_gruppo] = substr($priv_mod_prenota_tmp,0,1);
$priv_mod_assegnazione_app_gr[$idutente_gruppo] = substr($priv_mod_prenota_tmp,2,1);
} # fine if (numlin_query($priv_anno_ut_gr) == 1)
else {
$priv_ins_nuove_prenota_gr[$idutente_gruppo] = "n";
$priv_mod_prenotazioni_gr[$idutente_gruppo] = "n";
} # fine else if (numlin_query($priv_anno_ut_gr) == 1)
} # fine if ($priv_app_gruppi == "SI")

} # fine if ($idutente_gruppo != $id_utente)
} # fine for $num2
} # fine for $num1
} # fine if ($prendi_gruppi == "SI")

} # fine if ($id_utente != 1)
else {
$anno_utente_attivato = "SI";
$modifica_pers = "SI";
$priv_vedi_tab_periodi = "s";
$priv_vedi_tab_appartamenti = "s";
$priv_vedi_beni_inv = "s";
$priv_vedi_inv_mag = "s";
$priv_mod_beni_in_mag = "s";
$priv_vedi_inv_app = "s";
$priv_mod_beni_in_app = "s";
$attiva_regole1_consentite = "n";
$attiva_tariffe_consentite = "n";
$attiva_costi_agg_consentiti = "n";
$priv_mod_tariffe = "s";
$priv_ins_costi_agg = "s";
} # fine else if ($id_utente != 1)
if ($anno_utente_attivato == "SI" and ($priv_mod_tariffe == "s" or $priv_ins_costi_agg != "n")) {


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./themes/".$tema[$id_utente]."/php")) include("./themes/".$tema[$id_utente]."/php/head.php");
else include("./includes/head.php");




/*
STRUTTURA TABELLA NOMI TARIFFE

COSTI AGGIUNTIVI
tipo_ca(varchar2)		u-s			1  unico - settimanale
				f-p-t-c-r		2  fisso - percentuale su tariffa - percentuale su totale - percentuale su caparra - percentuale su resto caparra
associasett_ca(varchar1)	s-n			1  NULL o vuoto se costo unico, associa a specifiche settimane della prenotazione: si-no
numsett_ca(varchar20)		t-m-c-n-s-g,		1  tutte - tutte meno una - chiedere - x settimane no e y si - x settimane si e y no - solo giorni della settimana selezionati
				;p-u;;x,y;x,y;1-7,...	2- niente se 1=t ; prima-ultima se 1=m ; ...
moltiplica_ca(varchar1)		1-c-p-t			1  moltiplica per: 1 - chiedere - persone - persnone totali
periodipermessi_ca(text)	t-u-p			NULL o vuoto se periodi tutti permessi, altrimenti: tutta la prenotazione dentro i periodi - anche un solo periodo - solo periodi permessi
				idperiodo-idperiodo,...	
beniinv_ca(text)		mag$idmag-app;		NULL o vuoto se nessun bene da eliminare dall'inventario, altimenti: elimina dal magazzino $idmag - elimina dall'appartamento della prenotazione
				idbene,x;idbene,x;...	idbene del bene da eliminare e numero da eliminare
appincomapibili_ca(text)	idapp,idapp,...		NULL o vuoto se nessun appartamento incompatibile
variazione_ca(varchar20)	s-n			1 modifica con costo della prenotazione il costo percentuale: si-no
				s-n			2 modifica numero settimane con prenotazione: si-no
				s-n			3 modifica numero con cui moltiplicare con prenotazione: si-no
				s-n			4 modifica in periodi permessi con prenotazione: si-no
				s-n			5 togli/aggiungi il costo se modificando una prenotazione cambia una tariffa associata: si-no
				s-n			6 togli il costo se modificando una prenotazione si passa ad una tariffa incompatibile: si-no
				s-n			7 modifica i beni inventario con prenotazione: si-no
				s-n			8 modifica gli appartamenti incompatibili con prenotazione: si-no
mostra_ca(varchar10)		s-n			1 mostra costo quando si inserisce prenotazione: si-no
				s-n			2 raggruppa con costi simili in inserimento: si-no
categoria_ca(text)		testo			nome della categoria del costo
letto_ca(varchar1)		s-n			1 considera come letto aggiuntivo: si-no
numlimite_ca(integer)		numero			NULL o vuoto o zero se non ci sono limiti al numero di costi nello stesso periodo
regoleassegna_ca(varchar30)	->x-<x;			se non vuoto associa il costo (se possibile) se la prenotazione: inizia dopo x giorni o più - inizia prima di x giorni o meno
				x			se non vuoto associa il costo (se possibile) se si inseriscono x o più prenotazioni contemporaneamente
tariffe(varchar40)		s-r-p-i			1 NULL o vuoto se costo non associato alla tariffa e non incompatibile, altrimenti: associare sempre - sempre in periodi permessi - solo se possibile - incompatibile
				s-<x->x-=x-|x<y		per qualsiasi numero di settimane - meno di x - più di x - per x settimane - compreso tra x e y settimane
*/




$Euro = nome_valuta();
$stile_data = stile_data();
$stile_soldi = stile_soldi();

$numcaselle = 8;
$aggiorna_tariffe_interconn = "NO";

$tableperiodi = $PHPR_TAB_PRE."periodi".$anno;
$tablenometariffe = $PHPR_TAB_PRE."ntariffe".$anno;
$tableanni = $PHPR_TAB_PRE."anni";
$tablepersonalizza = $PHPR_TAB_PRE."personalizza";

$tipo_periodi = esegui_query("select * from $tableanni where idanni = $anno");
$tipo_periodi = risul_query($tipo_periodi,0,'tipo_periodi');


if ($importa_tariffa and $priv_mod_tariffe != "n") {
if ($tariffa_a == $tariffa_da) $errore = "SI";
$num_tariffa_a = substr($tariffa_a,7);
$num_tariffa_da = substr($tariffa_da,7);
if (substr($tariffa_a,0,7) != "tariffa" or controlla_num_pos($num_tariffa_a) != "SI") $errore = "SI";
if (substr($tariffa_da,0,7) != "tariffa" or controlla_num_pos($num_tariffa_da) != "SI") $errore = "SI";
if ($attiva_tariffe_consentite != "n" and $tariffe_consentite_vett[$num_tariffa_a] != "SI") $errore = "SI";
if ($attiva_tariffe_consentite != "n" and $tariffe_consentite_vett[$num_tariffa_da] != "SI") $errore = "SI";
$importa_arrotond = formatta_soldi($importa_arrotond);
if (!$importa_arrotond) $importa_arrotond = 1;
if ($tipo_percent != "euro_g" and $tipo_percent != "euro_s") $tipo_percent = "perc";
if (controlla_num($importa_percent) == "NO" or ($tipo_percent == "perc" and $importa_percent < -99)) $errore = "SI";
if ($errore != "SI") {
$mostra_form_iniziale = "NO";
$aggiorna_tariffe_interconn = "SI";
$tabelle_lock = array("$tableperiodi");
$tabelle_lock = lock_tabelle($tabelle_lock);
$prezzi_da = esegui_query("select idperiodi,$tariffa_da from $tableperiodi where $tariffa_da is not NULL");
$num_prezzi_da = numlin_query($prezzi_da);
if ($tipo_percent != "perc") $importa_percent = formatta_soldi($importa_percent);
settype($importa_percent,'double');
settype($importa_arrotond,'double');
if ($tipo_percent == "euro_s") {
unset($agg_vett);
$agg_int = floor($importa_percent);
$resto_int = $importa_percent - (double) $agg_int;
$agg_gio = floor($agg_int / 7);
for ($num1 = 1 ; $num1 <= 7 ; $num1++) $agg_vett[$num1] = $agg_gio;
$resto = $agg_int - ($agg_gio * 7);
if ($resto >= 1) {
$agg_vett[1]++;
$resto--;
} # fine if ($resto >= 1)
for ($num1 = 7 ; $num1 > (7 - $resto) ; $num1--) $agg_vett[$num1]++;
$agg_vett[1] += $resto_int;
$num_agg = 0;
} # fine if ($tipo_percent == "euro_s")
for ($num1 = 0 ; $num1 < $num_prezzi_da ; $num1++) {
$id_periodo = risul_query($prezzi_da,$num1,'idperiodi');
$prezzo_a = (double) risul_query($prezzi_da,$num1,$tariffa_da);
if ($tipo_percent == "perc") $perc = (double) (($prezzo_a / 100.0) * $importa_percent);
if ($tipo_percent == "euro_g") $perc = $importa_percent;
if ($tipo_percent == "euro_s") {
$num_agg++;
$perc = $agg_vett[$num_agg];
if ($num_agg == 7) $num_agg = 0;
} # fine if ($tipo_percent == "euro_s")
if ($perc) {
if ($tipo_percent == "perc") $perc = (round(($perc / $importa_arrotond),0) * $importa_arrotond);
$prezzo_a = $prezzo_a + $perc;
} # fine if ($perc)
esegui_query("update $tableperiodi set $tariffa_a = '$prezzo_a' where idperiodi = '$id_periodo'");
} # fine for $num1
unlock_tabelle($tabelle_lock);
echo mex("I prezzi della tariffa selezionata sono stati importati",$pag).".<br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\"><br>
</div></form>";
} # fine if ($errore != "SI")
} # fine if ($importa_tariffa and $priv_mod_tariffe != "n")


if ($importa_costo and $priv_ins_costi_agg != "n") {
$mostra_form_iniziale = "NO";
if (get_magic_quotes_gpc()) {
$nomecostoagg = stripslashes($nomecostoagg);
$costo_importa = stripslashes($costo_importa);
} # fine if if (get_magic_quotes_gpc())
$nomecostoagg = htmlspecialchars($nomecostoagg);
$nomecostoagg = str_replace("#?&","",$nomecostoagg);
$nomecostoagg = str_replace("#@&","",$nomecostoagg);
if (!$nomecostoagg) {
echo mex("Si deve inserire il nome del costo aggiuntivo",$pag).".<br>";
$errore = "SI";
} # fine if (!$nomecostoagg)
if ($id_utente != 1) $tabelle_lock = array("$tablenometariffe","$tableprivilegi");
else $tabelle_lock = array("$tablenometariffe");
$tabelle_lock = lock_tabelle($tabelle_lock);
$dati_costo_importa = esegui_query("select * from $tablenometariffe where idntariffe = '".aggslashdb(htmlspecialchars($costo_importa))."' ");
if (numlin_query($dati_costo_importa) != 1) $errore = "SI";
if ($attiva_costi_agg_consentiti != "n" and $costi_agg_consentiti_vett[$costo_importa] != "SI") $errore = "SI";
if ($errore != "SI") {
$tipo_ca = substr(risul_query($dati_costo_importa,0,'tipo_ca'),0,1);
$esiste_costo = esegui_query("select idntariffe from $tablenometariffe where nomecostoagg = '".aggslashdb($nomecostoagg)."' and tipo_ca $LIKE '".$tipo_ca."_'");
if (numlin_query($esiste_costo) > 0) {
echo mex("Costi aggiuntivo già esistente",$pag).".<br>";
$errore = "SI";
} # fine if (numlin_query($esiste_costo) > 0)
} # fine if ($errore != "SI")
if ($errore != "SI") {
$tipo_ca = aggslashdb(risul_query($dati_costo_importa,0,'tipo_ca'));
$valore_ca = aggslashdb(risul_query($dati_costo_importa,0,'valore_ca'));
$arrotonda_ca = aggslashdb(risul_query($dati_costo_importa,0,'arrotonda_ca'));
$tasseperc_ca = aggslashdb(risul_query($dati_costo_importa,0,'tasseperc_ca'));
$associasett_ca = aggslashdb(risul_query($dati_costo_importa,0,'associasett_ca'));
$numsett_ca = aggslashdb(risul_query($dati_costo_importa,0,'numsett_ca'));
$moltiplica_ca = aggslashdb(risul_query($dati_costo_importa,0,'moltiplica_ca'));
$periodipermessi_ca = aggslashdb(risul_query($dati_costo_importa,0,'periodipermessi_ca'));
$beniinv_ca = aggslashdb(risul_query($dati_costo_importa,0,'beniinv_ca'));
$appincompatibili_ca = aggslashdb(risul_query($dati_costo_importa,0,'appincompatibili_ca'));
$variazione_ca = aggslashdb(risul_query($dati_costo_importa,0,'variazione_ca'));
$mostra_ca = aggslashdb(risul_query($dati_costo_importa,0,'mostra_ca'));
$categoria_ca = aggslashdb(risul_query($dati_costo_importa,0,'categoria_ca'));
$letto_ca = aggslashdb(risul_query($dati_costo_importa,0,'letto_ca'));
$numlimite_ca = aggslashdb(risul_query($dati_costo_importa,0,'numlimite_ca'));
$regoleassegna_ca = aggslashdb(risul_query($dati_costo_importa,0,'regoleassegna_ca'));
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,'nomecostoagg');
$idntariffe = esegui_query("select numlimite_ca from $tablenometariffe where idntariffe = 1");
$idntariffe = risul_query($idntariffe,0,0);
esegui_query("insert into $tablenometariffe (idntariffe,nomecostoagg,tipo_ca,valore_ca,moltiplica_ca,variazione_ca,mostra_ca,letto_ca,utente_inserimento) values ('$idntariffe','".aggslashdb($nomecostoagg)."','$tipo_ca','$valore_ca','$moltiplica_ca','$variazione_ca','$mostra_ca','$letto_ca','$id_utente')");
if (strcmp($arrotonda_ca,"")) esegui_query("update $tablenometariffe set arrotonda_ca = '$arrotonda_ca' where idntariffe = '$idntariffe' ");
if (strcmp($tasseperc_ca,"")) esegui_query("update $tablenometariffe set tasseperc_ca = '$tasseperc_ca' where idntariffe = '$idntariffe' ");
if (strcmp($associasett_ca,"")) esegui_query("update $tablenometariffe set associasett_ca = '$associasett_ca' where idntariffe = '$idntariffe' ");
if (strcmp($numsett_ca,"")) esegui_query("update $tablenometariffe set numsett_ca = '$numsett_ca' where idntariffe = '$idntariffe' ");
if (strcmp($periodipermessi_ca,"")) esegui_query("update $tablenometariffe set periodipermessi_ca = '$periodipermessi_ca' where idntariffe = '$idntariffe' ");
if (strcmp($beniinv_ca,"")) esegui_query("update $tablenometariffe set beniinv_ca = '$beniinv_ca' where idntariffe = '$idntariffe' ");
if (strcmp($appincompatibili_ca,"")) esegui_query("update $tablenometariffe set appincompatibili_ca = '$appincompatibili_ca' where idntariffe = '$idntariffe' ");
if (strcmp($categoria_ca,"")) esegui_query("update $tablenometariffe set categoria_ca = '$categoria_ca' where idntariffe = '$idntariffe' ");
if (strcmp($numlimite_ca,"")) esegui_query("update $tablenometariffe set numlimite_ca = '$numlimite_ca' where idntariffe = '$idntariffe' ");
if (strcmp($regoleassegna_ca,"")) esegui_query("update $tablenometariffe set regoleassegna_ca = '$regoleassegna_ca' where idntariffe = '$idntariffe' ");
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
$val = aggslashdb(risul_query($dati_costo_importa,0,$tariffa));
if ((string) $val != "") esegui_query("update $tablenometariffe set $tariffa = '$val' where idntariffe = '$idntariffe' ");
} # fine if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI")
} # fine for $numtariffa
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"modifica_costi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"idntariffe\" value=\"$idntariffe\">
".mex("Il costo aggiuntivo",$pag)." \"$nomecostoagg\" ".mex("è stato inserito",$pag).".
 <input class=\"sbutton\" type=\"submit\" value=\"".mex("Modifica il costo",$pag)."\">
</div></form><br><br>";
if ($attiva_costi_agg_consentiti != "n") {
$costi_agg_cons_int = esegui_query("select costi_agg_consentiti from $tableprivilegi where idutente = '$id_utente'  and anno = '$anno' ");
$costi_agg_cons_int = risul_query($costi_agg_cons_int,0,"costi_agg_consentiti");
esegui_query("update $tableprivilegi set costi_agg_consentiti = '$costi_agg_cons_int,$idntariffe' where idutente = '$id_utente'  and anno = '$anno' ");
} # fine if ($attiva_costi_agg_consentiti != "n")
if ($priv_ins_costi_agg == "g") {
reset($utenti_gruppi);
while (list($idut_gr,$val) = each($utenti_gruppi)) {
if ($idut_gr != $id_utente) {
$costi_agg_cons_int = esegui_query("select costi_agg_consentiti from $tableprivilegi where idutente = '$idut_gr'  and anno = '$anno' ");
if (numlin_query($costi_agg_cons_int) == 1) {
$costi_agg_cons_int = risul_query($costi_agg_cons_int,0,"costi_agg_consentiti");
if (substr($costi_agg_cons_int,0,1) != "n") {
esegui_query("update $tableprivilegi set costi_agg_consentiti = '$costi_agg_cons_int,$idntariffe' where idutente = '$idut_gr'  and anno = '$anno' ");
} # fine if (substr($costi_agg_cons_int,0,1) != "n")
} # fine if (numlin_query($costi_agg_cons_int) == 1)
} # fine if ($idut_gr != $id_utente)
} # fine while (list($idut_gr,$val) = each($utenti_gruppi))
} # fine if ($priv_ins_costi_agg == "g")
$idntariffe++;
esegui_query("update $tablenometariffe set numlimite_ca = '$idntariffe' where idntariffe = 1");
} # fine if ($errore != "SI")
unlock_tabelle($tabelle_lock);
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\"><br>
</div></form>";
} # fine if ($importa_costo and $priv_ins_costi_agg != "n")


# Inserisco caparra, commissioni o tasse
if (($modificacaparra or $modificacommissioni or $modificacommper or $modificatasse) and $priv_mod_tariffe != "n") {

$num_tariffa = substr($tipotariffa,7);
if (substr($tipotariffa,0,7) != "tariffa" or controlla_num_pos($num_tariffa) != "SI") $tipotariffa = "tariffa1";
if ($attiva_tariffe_consentite != "n" and $tariffe_consentite_vett[$num_tariffa] != "SI") $inserire = "NO";
if ($modificacommissioni or $modificacommper) $tabelle_lock = array($tableregole);
else $tabelle_lock = array($tablenometariffe);
if ($modificacommper) $altre_tab_lock = array($tableperiodi);
else $altre_tab_lock = array();
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);

if ($modificacaparra) {
if ($tipo_caparra != "perc" and $tipo_caparra != "val" and $tipo_caparra != "gio") $inserire = "NO";
if ($tipo_caparra == "perc") {
$caparra_arrotond = formatta_soldi($caparra_arrotond);
if ((double) $caparra_arrotond == 0) $caparra_arrotond = 1;
if (controlla_soldi($caparra_arrotond) == "NO") $caparra_arrotond = 1;
if (controlla_num_pos($caparra_percent) != "SI" or $caparra_percent > 100) {
echo mex("Si deve inserire la percentuale",$pag).".<br>";
$inserire = "NO";
} # fine if (controlla_num_pos($caparra_percent) != "SI")
} # fine if ($tipo_caparra == "perc")
if ($tipo_caparra == "val") {
$caparra_val = formatta_soldi($caparra_val);
if (controlla_soldi($caparra_val) == "NO") $inserire = "NO";
$caparra_percent = $caparra_val;
$caparra_arrotond = "val";
} # fine if ($tipo_caparra == "val")
if ($tipo_caparra == "gio") {
if ($caparra_gio < 1 or $caparra_gio > 10) $inserire = "NO";
$caparra_percent = $caparra_gio;
$caparra_arrotond = "gio";
} # fine if ($tipo_caparra == "gio")
if ($inserire != "NO") {
esegui_query("update $tablenometariffe set $tipotariffa = '".aggslashdb($caparra_percent)."' where idntariffe = '2'");
esegui_query("update $tablenometariffe set $tipotariffa = '".aggslashdb($caparra_arrotond)."' where idntariffe = '3'");
echo mex("La caparra è stata modificata",$pag).".<br>";
} # fine if ($inserire != "NO")
else echo mex("La caparra è errata",$pag).".<br>";
} # fine if ($modificacaparra)

if ($modificacommissioni or $modificacommper) {
if ($tipo_commissioni != "perc" and $tipo_commissioni != "val") $inserire = "NO";
$comm_base = "";
if ($tipo_commissioni == "perc") {
$commissioni_arrotond = formatta_soldi($commissioni_arrotond);
if ((double) $commissioni_arrotond == 0) $commissioni_arrotond = 1;
if (controlla_soldi($commissioni_arrotond) == "NO") $commissioni_arrotond = 1;
if (controlla_num_pos($commissioni_percent) != "SI" or $commissioni_percent > 100) {
echo mex("Si deve inserire la percentuale",$pag).".<br>";
$inserire = "NO";
} # fine if (controlla_num_pos($commissioni_percent) != "SI")
if ($commissioni_base == "ts") $comm_base = "s";
if ($commissioni_base == "tsc") $comm_base = "c";
} # fine if ($tipo_commissioni == "perc")
if ($tipo_commissioni == "val") {
$commissioni_val = formatta_soldi($commissioni_val);
if (controlla_soldi($commissioni_val) == "NO") $inserire = "NO";
$commissioni_percent = $commissioni_val;
$commissioni_arrotond = "val";
} # fine if ($tipo_commissioni == "val")
if ($modificacommper) {
$iddataini = @esegui_query("select idperiodi from $tableperiodi where datainizio = '".aggslashdb($comm_dal)."' ");
if (!numlin_query($iddataini)) $inserire = "NO";
else $iddataini = risul_query($iddataini,0,'idperiodi');
$iddatafine = @esegui_query("select idperiodi from $tableperiodi where datafine = '".aggslashdb($comm_al)."' ");
if (!numlin_query($iddatafine)) $inserire = "NO";
else $iddatafine = risul_query($iddatafine,0,'idperiodi');
if ($iddatafine < $iddataini) $inserire = "NO";
} # fine if ($modificacommper)
if ($inserire != "NO") {
if ($modificacommper) $cond_def = 'and iddatainizio is not NULL';
else $cond_def = 'and iddatainizio is NULL';
$comm = esegui_query("select * from $tableregole where tariffa_commissioni = '$num_tariffa' $cond_def order by iddatainizio ");
$num_comm = numlin_query($comm);
$idregole = esegui_query("select max(idregole) from $tableregole");
$idregole = risul_query($idregole,0,0);
$idregole++;
if ($modificacommissioni) {
if ($num_comm) esegui_query("update $tableregole set motivazione = '$comm_base".aggslashdb($commissioni_percent)."', motivazione2 = '".aggslashdb($commissioni_arrotond)."' where tariffa_commissioni = '$num_tariffa' $cond_def");
else esegui_query("insert into $tableregole (idregole,tariffa_commissioni,motivazione,motivazione2) values ($idregole,'$num_tariffa','$comm_base".aggslashdb($commissioni_percent)."','".aggslashdb($commissioni_arrotond)."') ");
} # fine if ($modificacommissioni)
if ($modificacommper) {
for ($num1 = 0 ; $num1 < $num_comm ; $num1++) {
$iddini = risul_query($comm,$num1,'iddatainizio');
$iddfine = risul_query($comm,$num1,'iddatafine');
if ($iddini <= $iddatafine and $iddfine >= $iddataini) {
$idreg = risul_query($comm,$num1,'idregole');
if ($iddini < $iddataini and $iddfine > $iddatafine) {
$motiv = risul_query($comm,$num1,'motivazione');
$motiv2 = risul_query($comm,$num1,'motivazione2');
esegui_query("update $tableregole set iddatafine = '".($iddataini - 1)."' where idregole = '$idreg' ");
esegui_query("insert into $tableregole (idregole,tariffa_commissioni,iddatainizio,iddatafine,motivazione,motivazione2) values ($idregole,'$num_tariffa','".($iddatafine + 1)."','$iddfine','$motiv','$motiv2') ");
$idregole++;
} # fine if ($iddini < $iddataini and $iddfine > $iddatafine)
else {
if ($iddini >= $iddataini) $iddini = $iddatafine + 1;
if ($iddfine <= $iddatafine) $iddfine = $iddataini - 1;
if ($iddfine < $iddini) esegui_query("delete from $tableregole where idregole = '$idreg' ");
else esegui_query("update $tableregole set iddatainizio = '$iddini', iddatafine = '$iddfine' where idregole = '$idreg' ");
} # fine else if ($iddini < $iddataini and $iddfine > $iddatafine)
} # fine if ($iddini <= $iddatafine and $iddfine >= $iddataini)
} # fine for $num1
esegui_query("insert into $tableregole (idregole,tariffa_commissioni,iddatainizio,iddatafine,motivazione,motivazione2) values ($idregole,'$num_tariffa','$iddataini','$iddatafine','$comm_base".aggslashdb($commissioni_percent)."','".aggslashdb($commissioni_arrotond)."') ");
} # fine if ($modificacommper)
echo mex("Le commissioni sono state modificate",$pag).".<br>";
} # fine if ($inserire != "NO")
else echo mex("Le commissioni sono errate",$pag).".<br>";
} # fine if ($modificacommissioni or $modificacommper)

if ($modificatasse) {
if (controlla_num_pos($tasse_percent) != "SI" or $tasse_percent > 100) {
echo mex("Si deve inserire la percentuale",$pag).".<br>";
$inserire = "NO";
} # fine if (controlla_num_pos($tasse_percent) != "SI")
if ($inserire != "NO") {
esegui_query("update $tablenometariffe set $tipotariffa = '".aggslashdb($tasse_percent)."' where idntariffe = '5'");
echo mex("Le tasse sono state modificate",$pag).".<br>";
} # fine if ($inserire != "NO")
else echo mex("Le tasse sono errate",$pag).".<br>";
} # fine if ($modificatasse)

unlock_tabelle($tabelle_lock);
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\"><br>
</div></form>";

} # fine if (($modificacaparra or $modificacommissioni or $modificacommper or $modificatasse) and $priv_mod_tariffe != "n")

else {



# Inserisco i costi aggiuntivi
if ($inseriscicosti and $priv_ins_costi_agg != "n") {
$inserisci_settimanalmente = "";
$inserisci = "";
$modifica = "";
if ($avanti) $passo++;
if ($avanti and $tipo_ca != "s" and $passo == 4) $passo++;
if ($indietro) $passo--;
if ($indietro and $tipo_ca != "s" and $passo == 4) $passo--;
if ($passo > 1) {
$mostra_form_iniziale = "NO";
if ($id_utente != 1 and $passo == 11) $tabelle_lock = array($tablenometariffe,$tableprivilegi);
else $tabelle_lock = array($tablenometariffe);
$altre_tab_lock = array($tableperiodi,$tableappartamenti,$tableregole,$tablepersonalizza,$tablebeniinventario,$tablemagazzini);
$tabelle_lock = lock_tabelle($tabelle_lock,$altre_tab_lock);

if (defined("C_MASSIMO_NUM_COSTI_AGG") and C_MASSIMO_NUM_COSTI_AGG != 0) {
$num_costi_agg_esistenti = esegui_query("select idntariffe from $tablenometariffe where idntariffe > 10");
$num_costi_agg_esistenti = numlin_query($num_costi_agg_esistenti);
if ($num_costi_agg_esistenti >= C_MASSIMO_NUM_COSTI_AGG) $errore = "SI";
} # fine if (defined("C_MASSIMO_NUM_COSTI_AGG") and C_MASSIMO_NUM_COSTI_AGG != 0)

if ($priv_vedi_beni_inv == "p" or $priv_vedi_beni_inv == "g") {
$condizione_beni_propri = "where ( utente_inserimento = '$id_utente'";
if ($priv_vedi_beni_inv == "g") {
reset($utenti_gruppi);
while (list($idut_gr,$val) = each($utenti_gruppi)) if ($idut_gr != $id_utente) $condizione_beni_propri .= " or utente_inserimento = '$idut_gr'";
} # fine if ($priv_vedi_beni_inv == "g")
$condizione_beni_propri .= " )";
} # fine if ($priv_vedi_beni_inv == "p" or $priv_vedi_beni_inv == "g")
else $condizione_beni_propri = "";
if ($priv_vedi_inv_mag == "p" or $priv_vedi_inv_mag == "g") {
$condizione_mag_propri = "where ( utente_inserimento = '$id_utente'";
if ($priv_vedi_inv_mag == "g") {
reset($utenti_gruppi);
while (list($idut_gr,$val) = each($utenti_gruppi)) if ($idut_gr != $id_utente) $condizione_mag_propri .= " or utente_inserimento = '$idut_gr'";
} # fine if ($priv_vedi_inv_mag == "g")
$condizione_mag_propri .= " )";
} # fine if ($priv_vedi_inv_mag == "p" or $priv_vedi_inv_mag == "g")
else $condizione_mag_propri = "";

if ($priv_vedi_tab_appartamenti != "n") {
$appartamenti = esegui_query("select * from $tableappartamenti order by idappartamenti");
$num_appartamenti = numlin_query($appartamenti);
if ($priv_vedi_tab_appartamenti != "s") {
if (!function_exists("trova_app_consentiti")) include("./includes/funzioni_appartamenti.php");
if ($priv_vedi_tab_appartamenti != "g") $appartamenti_consentiti = trova_app_consentiti($appartamenti,$num_appartamenti,$attiva_regole1_consentite,$regole1_consentite,$priv_mod_assegnazione_app,$priv_mod_prenotazioni,$priv_ins_assegnazione_app,$priv_ins_nuove_prenota,$attiva_tariffe_consentite,$tariffe_consentite_vett,$id_utente,$tableregole,$tablenometariffe);
else $appartamenti_consentiti = trova_app_consentiti($appartamenti,$num_appartamenti,$attiva_regole1_consentite_gr,$regole1_consentite_gr,$priv_mod_assegnazione_app_gr,$priv_mod_prenotazioni_gr,$priv_ins_assegnazione_app_gr,$priv_ins_nuove_prenota_gr,$attiva_tariffe_consentite_gr,$tariffe_consentite_vett_gr,$id_utente,$tableregole,$tablenometariffe);
} # fine if ($priv_vedi_tab_appartamenti != "s")
} # fine if ($priv_vedi_tab_appartamenti != "n")
else $num_appartamenti = 0;

if (get_magic_quotes_gpc()) $nomecostoagg = stripslashes($nomecostoagg);
$nomecostoagg = htmlspecialchars($nomecostoagg);
$nomecostoagg = str_replace("#?&","",$nomecostoagg);
$nomecostoagg = str_replace("#@&","",$nomecostoagg);
if (!$nomecostoagg) {
$messaggio_errore = mex("Si deve inserire il nome del costo aggiuntivo",$pag).".<br>";
$errore = "SI";
} # fine if (!$nomecostoagg)
if ($tipo_ca != "u" and $tipo_ca != "s") $errore = "SI";
if ($errore != "SI") {
$esiste_costo = esegui_query("select idntariffe from $tablenometariffe where nomecostoagg = '".aggslashdb($nomecostoagg)."' and tipo_ca $LIKE '".$tipo_ca."_'");
if (numlin_query($esiste_costo) > 0) {
$messaggio_errore = mex("Costi aggiuntivo già esistente",$pag).".<br>";
$errore = "SI";
} # fine if (numlin_query($esiste_costo) > 0)
} # fine if ($errore != "SI")

echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"inseriscicosti\" value=\"SI\">
<input type=\"hidden\" name=\"nomecostoagg\" value=\"$nomecostoagg\">
<input type=\"hidden\" name=\"tipo_ca\" value=\"$tipo_ca\">";

if ($passo >= 3) {
if ($tipo_valore_ca != "f" and $tipo_valore_ca != "p") $errore = "SI";
$valore_f_ca = formatta_soldi($valore_f_ca);
$valore_p_ca = formatta_soldi($valore_p_ca);
$arrotonda_ca = formatta_soldi($arrotonda_ca);
$tasseperc_ca = formatta_soldi($tasseperc_ca);
if ($tipo_valore_ca == "f" and ($valore_f_ca == "" or controlla_soldi($valore_f_ca) == "NO")) $errore = "SI";
if ($tipo_valore_ca == "p" and ($valore_p_ca == "" or controlla_soldi($valore_p_ca) == "NO" or $arrotonda_ca == "" or controlla_soldi($arrotonda_ca,"SI") == "NO")) $errore = "SI";
if ($tipo_valore_ca == "p" and $tipo_percentuale != "tariffa" and $tipo_percentuale != "totale" and $tipo_percentuale != "caparra" and $tipo_percentuale != "resto") $errore = "SI";
if ($tipo_valore_ca == "p" and $tipo_ca == "s" and $tipo_percentuale != "tariffa") $errore = "SI";
if (($tasseperc_ca and controlla_soldi($tasseperc_ca) == "NO") or $tasseperc_ca > 100) $errore = "SI";
echo "<input type=\"hidden\" name=\"tipo_valore_ca\" value=\"$tipo_valore_ca\">
<input type=\"hidden\" name=\"valore_f_ca\" value=\"$valore_f_ca\">
<input type=\"hidden\" name=\"tipo_percentuale\" value=\"$tipo_percentuale\">
<input type=\"hidden\" name=\"valore_p_ca\" value=\"$valore_p_ca\">
<input type=\"hidden\" name=\"arrotonda_ca\" value=\"$arrotonda_ca\">
<input type=\"hidden\" name=\"tasseperc_ca\" value=\"$tasseperc_ca\">";
} # fine if ($passo >= 3)

if ($passo >= 4) {
if ($associa_tariffe != "n" and $associa_tariffe != "r" and $associa_tariffe != "s" and $associa_tariffe != "p") $errore = "SI";
if ($tipo_ca != "s" and $associasett != "") $errore = "SI";
if ($tipo_ca == "s" and $associasett == "") $errore = "SI";
if ($tipo_valore_ca == "p" and $associasett == "n") $errore = "SI";
if ($associasett != "" and $associasett != "n" and $associasett != "s") $errore = "SI";
echo "<input type=\"hidden\" name=\"associa_tariffe\" value=\"$associa_tariffe\">
<input type=\"hidden\" name=\"associasett\" value=\"$associasett\">";
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,'nomecostoagg');
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
if ($associa_tariffe != "n") {
#if ($tipo_valore_ca == "p" and $tipo_percentuale == "totale" and ${"sel".$tariffa} == "s") {
#$costo_agg_totale_presente = esegui_query("select * from $tablenometariffe  where idntariffe > 10 and $tariffa != '' and tipo_ca $LIKE '_q' ");
#if (numlin_query($costo_agg_totale_presente) > 0) $errore = "SI";
#} # fine if ($tipo_valore_ca == "p" and $tipo_percentuale == "totale")
if (${"sel".$tariffa} != "" and ${"sel".$tariffa} != "s") $errore = "SI";
} # fine if ($associa_tariffe != "n")
echo "<input type=\"hidden\" name=\"sel$tariffa\" value=\"".${"sel".$tariffa}."\">";
if (${"minmax".$tariffa} != "" and ${"minmax".$tariffa} != "min" and ${"minmax".$tariffa} != "max" and ${"minmax".$tariffa} != "eq" and ${"minmax".$tariffa} != "tra") $errore = "SI";
if (${"valminmax".$tariffa} and (controlla_num_pos(${"valminmax".$tariffa}) == "NO" or ${"valminmax".$tariffa} == 0)) $errore = "SI";
if (${"sel".$tariffa} and ${"minmax".$tariffa} and !${"valminmax".$tariffa}) $errore = "SI";
if (${"valminmax2".$tariffa} and (controlla_num_pos(${"valminmax2".$tariffa}) == "NO" or ${"valminmax2".$tariffa} == 0)) $errore = "SI";
if (${"sel".$tariffa} and ${"minmax".$tariffa} == "tra" and (!${"valminmax2".$tariffa} or ${"valminmax2".$tariffa} <= ${"valminmax".$tariffa})) $errore = "SI";
echo "<input type=\"hidden\" name=\"minmax$tariffa\" value=\"".${"minmax".$tariffa}."\">
<input type=\"hidden\" name=\"valminmax$tariffa\" value=\"".${"valminmax".$tariffa}."\">
<input type=\"hidden\" name=\"valminmax2$tariffa\" value=\"".${"valminmax2".$tariffa}."\">";
} # fine if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI")
} # fine for $numtariffa
if ($assegna_da_giorno_ini != "s") $assegna_da_giorno_ini = "";
if ($assegna_da_giorno_ini == "s" and $ass_gio_ini_segno != "meno" and $ass_gio_ini_segno != "piu") $errore = "SI";
if ($assegna_da_giorno_ini == "s" and (!$ass_gio_ini_num or controlla_num_pos($ass_gio_ini_num) == "NO")) $errore = "SI";
if ($assegna_prenota_contemp != "s") $assegna_prenota_contemp = "";
if ($assegna_prenota_contemp == "s" and (!$ass_pren_cont_num or controlla_num_pos($ass_pren_cont_num) == "NO")) $errore = "SI";
echo "<input type=\"hidden\" name=\"assegna_da_giorno_ini\" value=\"$assegna_da_giorno_ini\">
<input type=\"hidden\" name=\"ass_gio_ini_segno\" value=\"$ass_gio_ini_segno\">
<input type=\"hidden\" name=\"ass_gio_ini_num\" value=\"$ass_gio_ini_num\">
<input type=\"hidden\" name=\"assegna_prenota_contemp\" value=\"$assegna_prenota_contemp\">
<input type=\"hidden\" name=\"ass_pren_cont_num\" value=\"$ass_pren_cont_num\">";
} # fine if ($passo >= 4)

if ($passo >= 5) {
echo "<input type=\"hidden\" name=\"numsett_ca\" value=\"$numsett_ca\">
<input type=\"hidden\" name=\"pos_menouna\" value=\"$pos_menouna\">
<input type=\"hidden\" name=\"val1_prime_si\" value=\"$val1_prime_si\">
<input type=\"hidden\" name=\"val2_prime_si\" value=\"$val2_prime_si\">
<input type=\"hidden\" name=\"val1_prime_no\" value=\"$val1_prime_no\">
<input type=\"hidden\" name=\"val2_prime_no\" value=\"$val2_prime_no\">
<input type=\"hidden\" name=\"lun_sel\" value=\"$lun_sel\">
<input type=\"hidden\" name=\"mar_sel\" value=\"$mar_sel\">
<input type=\"hidden\" name=\"mer_sel\" value=\"$mer_sel\">
<input type=\"hidden\" name=\"gio_sel\" value=\"$gio_sel\">
<input type=\"hidden\" name=\"ven_sel\" value=\"$ven_sel\">
<input type=\"hidden\" name=\"sab_sel\" value=\"$sab_sel\">
<input type=\"hidden\" name=\"dom_sel\" value=\"$dom_sel\">";
if ($tipo_ca == "s") {
if ($numsett_ca != "t" and $numsett_ca != "m" and $numsett_ca != "c" and $numsett_ca != "s" and $numsett_ca != "n" and $numsett_ca != "g") $errore = "SI";
if ($tipo_periodi != "g" and $numsett_ca == "g") $errore = "SI";
if ($pos_menouna != "" and $tipo_valore_ca != "p" and $associasett != "s") $errore = "SI";
if (($pos_menouna != "p" and $pos_menouna != "u") and ($tipo_valore_ca == "p" or $associasett == "s")) $errore = "SI";
if (($associa_tariffe != "n" or $assegna_da_giorno_ini or $assegna_prenota_contemp) and $numsett_ca == "c") $errore = "SI";
if ($associasett != "s" and ($numsett_ca == "s" or $numsett_ca == "n" or $numsett_ca == "g")) $errore = "SI";
if ($numsett_ca == "s") {
if (controlla_num_pos($val1_prime_si) == "NO" or $val1_prime_si ==  0) $errore = "SI";
if (controlla_num_pos($val2_prime_si) == "NO" or $val2_prime_si ==  0) $errore = "SI";
} # fine if ($numsett_ca == "s")
if ($numsett_ca == "n") {
if (controlla_num_pos($val1_prime_no) == "NO" or $val1_prime_no ==  0) $errore = "SI";
if (controlla_num_pos($val2_prime_no) == "NO" or $val2_prime_no ==  0) $errore = "SI";
} # fine if ($numsett_ca == "n")
if ($lun_sel != "" and $lun_sel != "s") $errore = "SI";
if ($mar_sel != "" and $mar_sel != "s") $errore = "SI";
if ($mer_sel != "" and $mer_sel != "s") $errore = "SI";
if ($gio_sel != "" and $gio_sel != "s") $errore = "SI";
if ($ven_sel != "" and $ven_sel != "s") $errore = "SI";
if ($sab_sel != "" and $sab_sel != "s") $errore = "SI";
if ($dom_sel != "" and $dom_sel != "s") $errore = "SI";
} # fine if ($tipo_ca == "s")
else if ($numsett_ca != "") $errore = "SI";
} # fine if ($passo >= 5)

if ($passo >= 6) {
echo "<input type=\"hidden\" name=\"moltiplica_ca\" value=\"$moltiplica_ca\">";
if ($moltiplica_ca != "1" and $moltiplica_ca != "c" and $moltiplica_ca != "p" and $moltiplica_ca != "t") $errore = "SI";
if (($associa_tariffe != "n" or $assegna_da_giorno_ini or $assegna_prenota_contemp) and $moltiplica_ca == "c") $errore = "SI";
} # fine if ($passo >= 6)

if ($passo >= 7) {
if (!$beni_inv_elimina) $beni_inv_elimina = "nessuno";
echo "<input type=\"hidden\" name=\"beni_inv_elimina\" value=\"$beni_inv_elimina\">
<input type=\"hidden\" name=\"num_beni_inv_elimina_sel\" value=\"$num_beni_inv_elimina_sel\">
<input type=\"hidden\" name=\"tipo_bie\" value=\"$tipo_bie\">
<input type=\"hidden\" name=\"mag_bie_sel\" value=\"$mag_bie_sel\">";
for ($num1 = 1 ; $num1 <= $num_beni_inv_elimina_sel ; $num1++) {
echo "<input type=\"hidden\" name=\"bene_inv_sel$num1\" value=\"".${"bene_inv_sel".$num1}."\">
<input type=\"hidden\" name=\"molt_bene_inv_sel$num1\" value=\"".${"molt_bene_inv_sel".$num1}."\">";
} # fine for $num1
if ($beni_inv_elimina != "nessuno" and $beni_inv_elimina != "sel") $errore = "SI";
if ($beni_inv_elimina != "nessuno" and ($priv_vedi_beni_inv == "n" or (($priv_vedi_inv_mag == "n" or $priv_mod_beni_in_mag == "n") and ($priv_vedi_inv_app == "n" or $priv_mod_beni_in_app == "n")))) $errore = "SI";
if ($beni_inv_elimina == "sel") {
if (controlla_num_pos($num_beni_inv_elimina_sel) == "NO" or $num_beni_inv_elimina_sel == 0) $errore = "SI";
else {
unset($bene_gia_sel);
for ($num1 = 1 ; $num1 <= $num_beni_inv_elimina_sel ; $num1++) {
$bene_esist = esegui_query("select * from $tablebeniinventario where idbeniinventario = '".aggslashdb(${"bene_inv_sel".$num1})."' ".str_replace("where","and",$condizione_beni_propri)." ");
if (numlin_query($bene_esist) != 1) $errore = "SI";
if ($bene_gia_sel[${"bene_inv_sel".$num1}]) $errore = "SI";
else $bene_gia_sel[${"bene_inv_sel".$num1}] = 1;
if (controlla_num_pos(${"molt_bene_inv_sel".$num1}) == "NO" or ${"molt_bene_inv_sel".$num1} == 0) $errore = "SI";
} # fine for $num1
if (($priv_vedi_inv_app == "n" or $priv_mod_beni_in_app == "n" or $associa_tariffe != "n" or $assegna_da_giorno_ini or $assegna_prenota_contemp or $associasett == "s" or $moltiplica_ca == "t") and $tipo_bie == "a") $errore = "SI";
} # fine else if (controlla_num_pos($num_beni_inv_elimina_sel) == "NO" or...
} # fine if ($beni_inv_elimina == "sel")
if ($beni_inv_elimina != "nessuno" and $tipo_bie != "a" and $tipo_bie != "m") $errore = "SI";
if (($priv_vedi_inv_mag == "n" or $priv_mod_beni_in_mag == "n") and $tipo_bie == "m") $errore = "SI";
if ($beni_inv_elimina != "nessuno" and $tipo_bie == "m" and !$mag_bie_sel) $errore = "SI";
if ($mag_bie_sel) {
$mag_esist = esegui_query("select * from $tablemagazzini where idmagazzini = '".aggslashdb($mag_bie_sel)."' ".str_replace("where","and",$condizione_mag_propri)." ");
if (numlin_query($mag_esist) != 1) $errore = "SI";
} # fine if ($mag_bie_sel)
} # fine if ($passo >= 7)

if ($passo >= 8) {
echo "<input type=\"hidden\" name=\"periodi_permessi\" value=\"$periodi_permessi\">
<input type=\"hidden\" name=\"num_periodi_permessi_sel\" value=\"$num_periodi_permessi_sel\">
<input type=\"hidden\" name=\"tipo_pp\" value=\"$tipo_pp\">";
for ($num1 = 1 ; $num1 <= $num_periodi_permessi_sel ; $num1++) {
echo "<input type=\"hidden\" name=\"pp_dal$num1\" value=\"".${"pp_dal".$num1}."\">
<input type=\"hidden\" name=\"pp_al$num1\" value=\"".${"pp_al".$num1}."\">";
} # fine for $num1
if ($periodi_permessi != "tutti" and $periodi_permessi != "sel") $errore = "SI";
if ($periodi_permessi == "sel") {
if (controlla_num_pos($num_periodi_permessi_sel) == "NO" or $num_periodi_permessi_sel == 0) $errore = "SI";
else {
$file_date_int = implode("",file("./dati/selectperiodi$anno.1.php"));
$ultima_data = 0;
for ($num1 = 1 ; $num1 <= $num_periodi_permessi_sel ; $num1++) {
if (str_replace("\\\"".${"pp_dal".$num1}."\\\">","",$file_date_int) == $file_date_int) $errore = "SI";
if (str_replace("\\\"".${"pp_al".$num1}."\\\">","",$file_date_int) == $file_date_int) $errore = "SI";
$nuova_ultima_data = str_replace("-","",${"pp_dal".$num1});
if ($nuova_ultima_data <= $ultima_data) $errore = "SI";
else $ultima_data = $nuova_ultima_data;
$nuova_ultima_data = str_replace("-","",${"pp_al".$num1});
if ($nuova_ultima_data <= $ultima_data) $errore = "SI";
else $ultima_data = $nuova_ultima_data;
} # fine for $num1
} # fine else if (controlla_num_pos($num_periodi_permessi_sel) == "NO" or...
} # fine if ($periodi_permessi == "sel")
if ($tipo_pp != "t" and $tipo_pp != "u" and $tipo_pp != "p") $errore = "SI";
if ($tipo_ca != "s" and $tipo_pp == "p") $errore = "SI";
} # fine if ($passo >= 8)

if ($passo >= 9) {
for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1++) {
if (${"app_incomp_".$num1} != "" and ${"app_incomp_".$num1} != "i") $errore = "SI";
if (${"app_incomp_".$num1} == "i") {
$app_incompatibili = "SI";
if ($priv_vedi_tab_appartamenti != "s" and $appartamenti_consentiti[${"idapp_incomp_".$num1}] == "NO") $errore = "SI";
if ($associa_tariffe != "n" or $assegna_da_giorno_ini or $assegna_prenota_contemp) $errore = "SI";
echo "<input type=\"hidden\" name=\"app_incomp_$num1\" value=\"".${"app_incomp_".$num1}."\">
<input type=\"hidden\" name=\"idapp_incomp_$num1\" value=\"".${"idapp_incomp_".$num1}."\">";
} # fine if (${"app_incomp_".$num1} == "i")
} # fine for $num1
} # fine if ($passo >= 9)

if ($passo >= 10) {
$tariffe_incompatibili = "NO";
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
if (${"incomp_".$tariffa} != "" and ${"incomp_".$tariffa} != "i") $errore = "SI";
if ((${"sel".$tariffa} == "s" and $associa_tariffe != "n") and ${"incomp_".$tariffa} != "") $errore = "SI";
if (${"incomp_".$tariffa} == "i") {
$tariffe_incompatibili = "SI";
echo "<input type=\"hidden\" name=\"incomp_$tariffa\" value=\"".${"incomp_".$tariffa}."\">";
} # fine if (${"incomp_".$tariffa} == "i")
} # fine if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI")
} # fine for $numtariffa
} # fine if ($passo >= 10)

if ($passo >= 11) {
if ($mantenere_percentuale != "s" or $tipo_valore_ca != "p") $mantenere_percentuale = "n";
if (($mantenere_percentuale == "n" and $tipo_valore_ca == "p") and ($tipo_ca == "s" and $numsett_ca != "c")) $mantenere_numsett = "n";
if ($mantenere_numsett != "s" or ($tipo_ca != "s" or $numsett_ca == "c")) $mantenere_numsett = "n";
if (($mantenere_percentuale == "n" and $tipo_valore_ca == "p") and ($moltiplica_ca != "c" and $moltiplica_ca != "1")) $mantenere_moltiplica = "n";
if ($mantenere_moltiplica != "s" or $moltiplica_ca == "c") $mantenere_moltiplica = "n";
if ($mantenere_beniinv != "s" or $beni_inv_elimina == "nessuno") $mantenere_beniinv = "n";
if ($mantenere_periodip != "s" or $periodi_permessi == "tutti") $mantenere_periodip = "n";
if ($mantenere_appi != "s" or $app_incompatibili != "SI") $mantenere_appi = "n";
if ($mantenere_tariffea != "s" or $associa_tariffe == "n") $mantenere_tariffea = "n";
if ($mantenere_tariffei != "s" or $tariffe_incompatibili != "SI") $mantenere_tariffei = "n";
if (get_magic_quotes_gpc()) $categoria_ca = stripslashes($categoria_ca);
$categoria_ca = htmlspecialchars($categoria_ca);
echo "<input type=\"hidden\" name=\"mantenere_percentuale\" value=\"$mantenere_percentuale\">
<input type=\"hidden\" name=\"mantenere_numsett\" value=\"$mantenere_numsett\">
<input type=\"hidden\" name=\"mantenere_moltiplica\" value=\"$mantenere_moltiplica\">
<input type=\"hidden\" name=\"mantenere_beniinv\" value=\"$mantenere_beniinv\">
<input type=\"hidden\" name=\"mantenere_periodip\" value=\"$mantenere_periodip\">
<input type=\"hidden\" name=\"mantenere_tariffea\" value=\"$mantenere_tariffea\">
<input type=\"hidden\" name=\"mantenere_appi\" value=\"$mantenere_appi\">
<input type=\"hidden\" name=\"mantenere_tariffei\" value=\"$mantenere_tariffei\">
<input type=\"hidden\" name=\"mostra_ca\" value=\"$mostra_ca\">
<input type=\"hidden\" name=\"raggruppa_ca\" value=\"$raggruppa_ca\">
<input type=\"hidden\" name=\"categoria_ca\" value=\"$categoria_ca\">
<input type=\"hidden\" name=\"letto_ca\" value=\"$letto_ca\">
<input type=\"hidden\" name=\"limite_ca\" value=\"$limite_ca\">
<input type=\"hidden\" name=\"numlimite_ca\" value=\"$numlimite_ca\">";
if (($associa_tariffe != "n" or $assegna_da_giorno_ini or $assegna_prenota_contemp) and $mostra_ca != "n") $errore = "SI";
if (($associa_tariffe == "n" and !$assegna_da_giorno_ini and !$assegna_prenota_contemp) and $mostra_ca != "s" and $mostra_ca != "n") $errore = "SI";
if ($raggruppa_ca != "s" and $raggruppa_ca != "n") $errore = "SI";
if ($letto_ca != "n" and $letto_ca != "s" and ($moltiplica_ca != "p" and $moltiplica_ca != "t" and ($tipo_valore_ca != "p" or $tipo_percentuale == "tariffa"))) $errore = "SI";
if ($letto_ca != "n" and ($moltiplica_ca == "p" or $moltiplica_ca == "t" or ($tipo_valore_ca == "p" and $tipo_percentuale != "tariffa"))) $errore = "SI";
if ($limite_ca != "n" and $limite_ca != "s" and ($tipo_ca != "s" or $associasett == "s" or ($numsett_ca == "t" and ($periodi_permessi == "tutti" or $tipo_pp != "pp")))) $errore = "SI";
if ($limite_ca != "" and ($tipo_ca == "s" and $associasett != "s" and ($numsett_ca != "t" or ($periodi_permessi != "tutti" and $tipo_pp == "pp")))) $errore = "SI";
if ($limite_ca == "s" and (controlla_num_pos($numlimite_ca) == "NO" or $numlimite_ca == 0)) $errore = "SI";
} # fine if ($passo >= 11)

if ($passo >= 12) $errore = "SI";

if ($errore != "SI") {

# Preprocesso di alcuni passi

if ($passo == 6) {
unset($opt_beni_inv);
if ($priv_vedi_beni_inv != "n" and (($priv_vedi_inv_mag != "n" and $priv_mod_beni_in_mag != "n") or ($priv_vedi_inv_app != "n" and $priv_mod_beni_in_app != "n"))) {
$beni_inv = esegui_query("select * from $tablebeniinventario $condizione_beni_propri order by idbeniinventario");
$num_beni_inv = numlin_query($beni_inv);
for ($num1 = 0 ; $num1 < $num_beni_inv ; $num1++) {
$idinv = risul_query($beni_inv,$num1,'idbeniinventario');
$nome_bene = risul_query($beni_inv,$num1,'nome_bene');
$codice_bene = risul_query($beni_inv,$num1,'codice_bene');
$opt_beni_inv .= "<option value=\"$idinv\">$nome_bene";
if ($codice_bene) $opt_beni_inv .= " ($codice_bene)";
$opt_beni_inv .= "</option>";
} # fine for $num1
} # fine if ($priv_vedi_beni_inv != "n" and...
unset($opt_mag);
if ($priv_vedi_inv_mag != "n" and $priv_mod_beni_in_mag != "n") {
$magazzini = esegui_query("select * from $tablemagazzini $condizione_mag_propri order by idmagazzini");
$num_mag = numlin_query($magazzini);
for ($num1 = 0 ; $num1 < $num_mag ; $num1++) {
$idmag = risul_query($magazzini,$num1,"idmagazzini");
$nome_mag = risul_query($magazzini,$num1,'nome_magazzino');
$opt_mag .= "<option value=\"$idmag\">$nome_mag</option>";
} # fine for $num1
} # fine if ($priv_vedi_inv_mag != "n" and $priv_mod_beni_in_mag != "n")
if (!$opt_beni_inv or (($priv_vedi_inv_app == "n" or $priv_mod_beni_in_app == "n" or $associa_tariffe != "n" or $assegna_da_giorno_ini or $assegna_prenota_contemp or $associasett == "s" or $moltiplica_ca == "t") and !$opt_mag)) {
if ($indietro) $passo--;
else $passo++;
} # fine if (!$opt_beni_inv or...
} # fine if ($passo == 6)

if ($passo == 8) {
if ($priv_vedi_tab_appartamenti == "n" or $associa_tariffe != "n" or $assegna_da_giorno_ini or $assegna_prenota_contemp) {
if ($indietro) $passo--;
else $passo++;
} # fine if ($priv_vedi_tab_appartamenti == "n" or $associa_tariffe != "n" or $assegna_da_giorno_ini or $assegna_prenota_contemp)
} # fine if ($passo == 8)

if ($passo == 9) {
unset($lista_tariffe_p9);
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
$nometariffa = risul_query($rigatariffe,0,$tariffa);
if ($nometariffa == "") {
$nometariffa = $tariffa;
$nometariffa_vedi = mex("tariffa",$pag).$numtariffa;
} # fine if ($nometariffa == "")
else $nometariffa_vedi = mex("tariffa",$pag)."$numtariffa $nometariffa";
if (${"sel".$tariffa} != "s" or $associa_tariffe == "n") {
if (${"incomp_".$tariffa} == "i") $checked = " checked";
else $checked = "";
$lista_tariffe_p9 .= "<input type=\"checkbox\" name=\"incomp_$tariffa\" value=\"i\"$checked>$nometariffa_vedi
</td></tr><tr><td></td><td>";
} # fine if (${"sel".$tariffa} != "s" or $associa_tariffe == "n")
} # fine if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI")
} # fine for $numtariffa
if (!$lista_tariffe_p9) {
if ($indietro) {
$passo--;
if ($priv_vedi_tab_appartamenti == "n" or $associa_tariffe != "n" or $assegna_da_giorno_ini or $assegna_prenota_contemp) $passo--;
} # fine if ($indietro)
else $passo++;
} # fine if (!$lista_tariffe_p9)
} # fine if ($passo == 9)

# Processo dei passi

if ($passo == 2) {
echo "<table><tr><td>".mex("Valore del costo",$pag).":</td><td>";
if (!$tipo_valore_ca) $tipo_valore_ca = "f";
if ($tipo_valore_ca == "f") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"tipo_valore_ca\" value=\"f\"$checked> ".mex("fisso di",$pag)."
<input type=\"text\" name=\"valore_f_ca\" value=\"$valore_f_ca\" size=\"12\">$Euro</td></tr>
<tr><td></td><td>";
if ($tipo_valore_ca == "p") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"tipo_valore_ca\" value=\"p\"$checked> ".mex("percentuale su",$pag)."
<select name=\"tipo_percentuale\">";
if ($tipo_percentuale == "tariffa") $selected = " selected";
else $selected = "";
echo "<option value=\"tariffa\"$selected>".mex("la tariffa",$pag)."</option>";
if ($tipo_ca != "s") {
if ($tipo_percentuale == "totale") $selected = " selected";
else $selected = "";
echo "<option value=\"totale\"$selected>".mex("il prezzo totale",$pag)."</option>";
if ($tipo_percentuale == "caparra") $selected = " selected";
else $selected = "";
echo "<option value=\"caparra\"$selected>".mex("la caparra",$pag)."</option>";
if ($tipo_percentuale == "resto") $selected = " selected";
else $selected = "";
echo "<option value=\"resto\"$selected>".mex("totale meno caparra",$pag)."</option>";
} # fine if ($tipo_ca != "s")
if (!strcmp($arrotonda_ca,"")) {
$arrotonda_ca = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'arrotond_predef' and idutente = '$id_utente'");
$arrotonda_ca = risul_query($arrotonda_ca,0,'valpersonalizza');
} # fine if (!strcmp($arrotonda_ca,""))
echo "</select> ".mex("del",$pag)."
<input type=\"text\" name=\"valore_p_ca\" value=\"$valore_p_ca\" size=\"4\">% ".mex("arrotondato a",$pag)."
<input type=\"text\" name=\"arrotonda_ca\" value=\"$arrotonda_ca\" size=\"6\">$Euro</td></tr>
</table><br>";
if (!$tasseperc_ca) $tasseperc_ca = "0";
echo "".mex("Tasse",$pag).": <input type=\"text\" name=\"tasseperc_ca\" value=\"$tasseperc_ca\" size=\"4\">%
 (".mex("il valore del costo si intente con tasse già incluse",$pag).")<br><br>";
} # fine if ($passo == 2)

if ($passo == 3) {
echo mex("Assegnare automaticamente con le tariffe selezionate",$pag)."? ";
echo "<br>
<script type=\"text/javascript\">
<!--
function agg_sel_giorni_associa_tariffa (tariffa,valminmax2) {
var sel_corr = document.getElementById('minmax'+tariffa);
var elem_valminmax2 = document.getElementById('valminmax2'+tariffa);
if (sel_corr.options[sel_corr.selectedIndex].value != 'tra') elem_valminmax2.innerHTML = '';
else elem_valminmax2.innerHTML = ' ".mex("e",$pag)." <input type=\"text\" name=\"valminmax2'+tariffa+'\" value=\"'+valminmax2+'\" size=\"3\"> ';
}
-->
</script>
<table><tr><td style=\"width: 10px;\"></td><td>";
if (!$associa_tariffe) $associa_tariffe = "n";
if ($associa_tariffe == "n") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"associa_tariffe\" value=\"n\"$checked> ".mex("No",$pag)." ";
if ($associa_tariffe == "p") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"associa_tariffe\" value=\"p\"$checked> ".mex("Se possibile",$pag)." ";
if ($associa_tariffe == "r") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"associa_tariffe\" value=\"r\"$checked> ".mex("Sempre in periodi permessi",$pag)." ";
if ($associa_tariffe == "s") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"associa_tariffe\" value=\"s\"$checked> ".mex("Sempre",$pag)." ";
echo "</td></tr></table>
<table><tr><td></td><td>".mex("Tariffe",$pag).":</td><td>";
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,'nomecostoagg');
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
#if ($tipo_valore_ca == "p" and $tipo_percentuale == "totale") {
#$costo_agg_totale_presente = esegui_query("select * from $tablenometariffe  where idntariffe > 10 and $tariffa != '' and tipo_ca $LIKE '_q' ");
#if (numlin_query($costo_agg_totale_presente) > 0) $mostra_tariffa_corrente = "NO";
#else $mostra_tariffa_corrente = "SI";
#} # fine if ($tipo_valore_ca == "p" and $tipo_percentuale == "totale")
#else $mostra_tariffa_corrente = "SI";
#if ($mostra_tariffa_corrente == "SI") {
$nometariffa = risul_query($rigatariffe,0,$tariffa);
if ($nometariffa == "") {
$nometariffa = $tariffa;
$nometariffa_vedi = mex("tariffa",$pag).$numtariffa;
} # fine if ($nometariffa == "")
else $nometariffa_vedi = mex("tariffa",$pag)."$numtariffa $nometariffa";
if (${"sel".$tariffa} == "s") $checked = " checked";
else $checked = "";
echo "<input type=\"checkbox\" name=\"sel$tariffa\" value=\"s\"$checked>$nometariffa_vedi";
echo " (<select name=\"minmax$tariffa\" id=\"minmax$tariffa\" onchange=\"agg_sel_giorni_associa_tariffa('$tariffa','')\">";
if (!${"minmax".$tariffa}) $selected = " selected";
else $selected = "";
echo "<option value=\"\"$selected>----</option>";
if (${"minmax".$tariffa} == "min") $selected = " selected";
else $selected = "";
echo "<option value=\"min\"$selected>".mex("minimo",$pag)."</option>";
if (${"minmax".$tariffa} == "max") $selected = " selected";
else $selected = "";
echo "<option value=\"max\"$selected>".mex("massimo",$pag)."</option>";
if (${"minmax".$tariffa} == "eq") $selected = " selected";
else $selected = "";
echo "<option value=\"eq\"$selected>".mex("esattamente",$pag)."</option>
</select>
<input type=\"text\" name=\"valminmax$tariffa\" value=\"".${"valminmax".$tariffa}."\" size=\"3\">
<span id=\"valminmax2$tariffa\"></span>".mex("$parola_settimane",$pag).")";
echo "<script type=\"text/javascript\">
<!--
var sel_corr = document.getElementById('minmax$tariffa');
var n_opt_sel_corr = document.createElement('option');
n_opt_sel_corr.text = '".mex("tra",$pag)."';
n_opt_sel_corr.value = 'tra';
sel_corr.add(n_opt_sel_corr,null);
";
if (${"minmax".$tariffa} == "tra") echo "sel_corr.selectedIndex = 4;
agg_sel_giorni_associa_tariffa('$tariffa','".${"valminmax2".$tariffa}."');
";
echo "-->
</script>
</td></tr>
<tr><td></td><td></td><td>";
#} # fine if ($mostra_tariffa_corrente == "SI")
} # fine if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI")
} # fine for $numtariffa
echo "</td></tr></table><br>";
if ($assegna_da_giorno_ini == "s") $checked = " checked";
else $checked = "";
if ($ass_gio_ini_segno != "piu") { $sel_m = " selected"; $sel_p = ""; }
else { $sel_m = ""; $sel_p = " selected"; }
echo "<small><input type=\"checkbox\" name=\"assegna_da_giorno_ini\" value=\"s\"$checked>
".mex("Quando possibile assegna automaticamente se mancano",$pag)."
<select name=\"ass_gio_ini_segno\">
<option value=\"meno\"$sel_m>".mex("meno di",$pag)."</option>
<option value=\"piu\"$sel_p>".mex("più di",$pag)."</option>
</select>
<input type=\"text\" name=\"ass_gio_ini_num\" value=\"".$ass_gio_ini_num."\" size=\"3\">
".mex("giorni dalla data iniziale della prenotazione quando viene inserita",$pag).".<br>";
if ($assegna_prenota_contemp == "s") $checked = " checked";
else $checked = "";
echo "<input type=\"checkbox\" name=\"assegna_prenota_contemp\" value=\"s\"$checked>
".mex("Quando possibile assegna automaticamente se si inseriscono",$pag)."
<input type=\"text\" name=\"ass_pren_cont_num\" value=\"".$ass_pren_cont_num."\" size=\"3\">
".mex("o più prenotazioni contemporaneamente",$pag).".<br></small><br>";
if ($tipo_ca == "s") {
echo mex("Associare a specifi$sillaba_che $parola_settimane della prenotazione",$pag)."?";
echo " <select name=\"associasett\">";
if ($tipo_valore_ca != "p") {
if ($associasett == "n") $selected = " selected";
else $selected = "";
echo "<option value=\"n\"$selected>".mex("NO",$pag)."</option>";
} # fine if ($tipo_valore_ca != "p")
if ($associasett == "s") $selected = " selected";
else $selected = "";
echo "<option value=\"s\"$selected>".mex("SI",$pag)."</option>
</select><br><br>";
} # fine if ($tipo_ca == "s")
} # fine if ($passo == 3)

if ($passo == 4) {
echo mex("$parola_Le $parola_settimane a cui applicare il costo",$pag).":<br>
<table><tr><td style=\"width: 20px;\"></td><td>";
if (!$numsett_ca) $numsett_ca = "t";
if ($numsett_ca == "t") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"numsett_ca\" value=\"t\"$checked> ".mex("Tutt$lettera_e",$pag)."</td></tr>
<tr><td></td><td>";
if ($numsett_ca == "m") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"numsett_ca\" value=\"m\"$checked> ".mex("Tutt$lettera_e meno",$pag);
if ($tipo_valore_ca == "p" or $associasett == "s") {
echo " <select name=\"pos_menouna\">";
if ($pos_menouna == "p") $selected = " selected";
else $selected = "";
echo "<option value=\"p\"$selected>".mex("$parola_la prim$lettera_a",$pag)."</option>";
if ($pos_menouna == "u") $selected = " selected";
else $selected = "";
echo "<option value=\"u\"$selected>".mex("l'ultim$lettera_a",$pag)."</option>";
echo "</select></td></tr>";
} # fine if ($tipo_valore_ca == "p" or $associasett == "s")
else echo " ".mex("un$lettera_a",$pag)."</td></tr>";
echo "<tr><td></td><td>";
if ($associa_tariffe == "n" and !$assegna_da_giorno_ini and !$assegna_prenota_contemp) {
if ($numsett_ca == "c") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"numsett_ca\" value=\"c\"$checked> ".mex("Chiedere",$pag)."</td></tr>
<tr><td></td><td>";
} # fine if ($associa_tariffe == "n" and...
if ($associasett == "s") {
if ($numsett_ca == "s") $checked = " checked";
else $checked = "";
if (!$val1_prime_si) $val1_prime_si = "1";
if (!$val2_prime_si) $val2_prime_si = "1";
echo "<input type=\"radio\" name=\"numsett_ca\" value=\"s\"$checked>
 <input type=\"text\" name=\"val1_prime_si\" value=\"$val1_prime_si\" size=\"3\"> ".mex("$parola_settimane sì",$pag)." ".mex("e",$pag)."
 <input type=\"text\" name=\"val2_prime_si\" value=\"$val2_prime_si\" size=\"3\"> ".mex("$parola_settimane no",$pag)."</td></tr>
<tr><td></td><td>";
if ($numsett_ca == "n") $checked = " checked";
else $checked = "";
if (!$val1_prime_no) $val1_prime_no = "1";
if (!$val2_prime_no) $val2_prime_no = "1";
echo "<input type=\"radio\" name=\"numsett_ca\" value=\"n\"$checked>
 <input type=\"text\" name=\"val1_prime_no\" value=\"$val1_prime_no\" size=\"3\"> ".mex("$parola_settimane no",$pag)." ".mex("e",$pag)."
 <input type=\"text\" name=\"val2_prime_no\" value=\"$val2_prime_no\" size=\"3\"> ".mex("$parola_settimane sì",$pag)."</td></tr>
<tr><td></td><td>";
if ($tipo_periodi == "g") {
if ($numsett_ca == "g") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"numsett_ca\" value=\"g\"$checked> ".mex("Giorni della settimana selezionati",$pag).":<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
if ($lun_sel == "s") $checked = " checked";
else $checked = "";
echo "<input type=\"checkbox\" name=\"lun_sel\" value=\"s\"$checked>".mex("Lunedì",$pag)."&nbsp;&nbsp;&nbsp;";
if ($mar_sel == "s") $checked = " checked";
else $checked = "";
echo "<input type=\"checkbox\" name=\"mar_sel\" value=\"s\"$checked>".mex("Martedì",$pag)."<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
if ($mer_sel == "s") $checked = " checked";
else $checked = "";
echo "<input type=\"checkbox\" name=\"mer_sel\" value=\"s\"$checked>".mex("Mercoledì",$pag)."&nbsp;&nbsp;&nbsp;";
if ($gio_sel == "s") $checked = " checked";
else $checked = "";
echo "<input type=\"checkbox\" name=\"gio_sel\" value=\"s\"$checked>".mex("Giovedì",$pag)."<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
if ($ven_sel == "s") $checked = " checked";
else $checked = "";
echo "<input type=\"checkbox\" name=\"ven_sel\" value=\"s\"$checked>".mex("Venerdì",$pag)."&nbsp;&nbsp;&nbsp;";
if ($sab_sel == "s") $checked = " checked";
else $checked = "";
echo "<input type=\"checkbox\" name=\"sab_sel\" value=\"s\"$checked>".mex("Sabato",$pag)."<br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
if ($dom_sel == "s") $checked = " checked";
else $checked = "";
echo "<input type=\"checkbox\" name=\"dom_sel\" value=\"s\"$checked>".mex("Domenica",$pag)."</td></tr>";
} # fine if ($tipo_periodi == "g")
} # fine if ($associasett == "s")
echo "</table><br>";
} # fine if ($passo == 4)

if ($passo == 5) {
echo mex("Moltiplicare il costo per",$pag).":<br>
<table><tr><td style=\"width: 20px;\"></td><td>";
if (!$moltiplica_ca) $moltiplica_ca = "1";
if ($moltiplica_ca == "1") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"moltiplica_ca\" value=\"1\"$checked> ".mex("Uno",$pag)."</td></tr>
<tr><td></td><td>";
if ($associa_tariffe == "n" and !$assegna_da_giorno_ini and !$assegna_prenota_contemp) {
if ($moltiplica_ca == "c") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"moltiplica_ca\" value=\"c\"$checked> ".mex("Chiedere",$pag)."</td></tr>
<tr><td></td><td>";
} # fine if ($associa_tariffe == "n" and...
if ($moltiplica_ca == "p") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"moltiplica_ca\" value=\"p\"$checked> ".mex("Numero di persone",$pag)." (".mex("escluse quelle dei costi con letti aggiuntivi",$pag).")</td></tr>
<tr><td></td><td>";
if ($moltiplica_ca == "t") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"moltiplica_ca\" value=\"t\"$checked> ".mex("Numero di persone totale",$pag)."</td></tr>
</table><br>";
} # fine if ($passo == 5)

if ($passo == 6) {
echo mex("Beni dell'inventario da eliminare quando si inserisce il costo",$pag).":<br>
<table><tr><td style=\"width: 20px;\"></td><td>";
if (!$beni_inv_elimina) $beni_inv_elimina = "nessuno";
if ($beni_inv_elimina == "nessuno") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"beni_inv_elimina\" value=\"nessuno\"$checked> ".mex("Nessuno",$pag)."</td></tr>
<tr><td></td><td>";
if ($beni_inv_elimina == "sel") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"beni_inv_elimina\" value=\"sel\"$checked> ".mex("Beni selezionati",$pag).":</td><td>";
if (!$num_beni_inv_elimina_sel) $num_beni_inv_elimina_sel = 1;
if ($aggiungi_bene_inv_elimina) $num_beni_inv_elimina_sel++;
if ($elimina_bene_inv_elimina) $num_beni_inv_elimina_sel--;
for ($num1 = 1 ; $num1 <= $num_beni_inv_elimina_sel ; $num1++) {
if ($num1 > 1) echo "<tr><td></td><td></td><td>";
if (!${"molt_bene_inv_sel".$num1}) ${"molt_bene_inv_sel".$num1} = 1;
echo "<select name=\"bene_inv_sel$num1\">
<option value=\"\">----</option>".str_replace("\"".${"bene_inv_sel".$num1}."\">","\"".${"bene_inv_sel".$num1}."\" selected>",$opt_beni_inv)."
</select> x <input type=\"text\" name=\"molt_bene_inv_sel$num1\" value=\"".${"molt_bene_inv_sel".$num1}."\" size=\"4\">";
if ($num1 == $num_beni_inv_elimina_sel) {
if ($num1 > 1) echo "</td><td><input class=\"sbutton\" type=\"submit\" name=\"elimina_bene_inv_elimina\" value=\"".mex("Elimina un bene",$pag)."\"></td></tr><tr><td></td><td></td><td>";
echo "</td><td><input class=\"sbutton\" type=\"submit\" name=\"aggiungi_bene_inv_elimina\" value=\"".mex("Aggiungi un bene",$pag)."\">";
} # fine if ($num1 == $num_beni_inv_elimina_sel)
echo "</td></tr>";
} # fine for $num1
echo "</table>
<input type=\"hidden\" name=\"num_beni_inv_elimina_sel\" value=\"$num_beni_inv_elimina_sel\">
<table>";
if ($priv_vedi_inv_app != "n" and $priv_mod_beni_in_app != "n" and $associa_tariffe == "n" and !$assegna_da_giorno_ini and !$assegna_prenota_contemp and $associasett != "s" and $moltiplica_ca != "t") {
if (!$tipo_bie) $tipo_bie = "a";
if ($tipo_bie == "a") $checked = " checked";
else $checked = "";
echo "<tr><td style=\"width: 50px;\"></td><td>
<input type=\"radio\" name=\"tipo_bie\" value=\"a\"$checked> ".mex("elimina i beni dall'inventario dell'appartamento occupato dalla prenotazione",'unit.php')."</td></tr>";
} # fine if ($priv_vedi_inv_app != "n" and $priv_mod_beni_in_app != "n" and...
if ($opt_mag) {
if (!$tipo_bie) $tipo_bie = "m";
if ($tipo_bie == "m") $checked = " checked";
else $checked = "";
echo "<tr><td style=\"width: 50px;\"></td><td>
<input type=\"radio\" name=\"tipo_bie\" value=\"m\"$checked> ".mex("elimina i beni dall'inventario del magazzino",$pag)."
<select name=\"mag_bie_sel\">
<option value=\"\">----</option>".str_replace("\"$mag_bie_sel\">","\"$mag_bie_sel\" selected>",$opt_mag)."
</select></td></tr>";
} # fine if ($opt_mag)
echo "</table><br>";
} # fine if ($passo == 6)

if ($passo == 7) {
echo mex("Periodi in cui è permesso inserire il costo",$pag).":<br>
<table><tr><td style=\"width: 20px;\"></td><td>";
if (!$periodi_permessi) $periodi_permessi = "tutti";
if ($periodi_permessi == "tutti") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"periodi_permessi\" value=\"tutti\"$checked> ".mex("In tutti",$pag)."</td></tr>
<tr><td></td><td>";
if ($periodi_permessi == "sel") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"periodi_permessi\" value=\"sel\"$checked> ".mex("Solo nei periodi selezionati",$pag).":</td><td>";
if (!$num_periodi_permessi_sel) $num_periodi_permessi_sel = 1;
if ($aggiungi_periodo_permesso) $num_periodi_permessi_sel++;
if ($elimina_periodo_permesso) $num_periodi_permessi_sel--;
for ($num1 = 1 ; $num1 <= $num_periodi_permessi_sel ; $num1++) {
if ($num1 > 1) echo "<tr><td></td><td></td><td>";
echo mex("dal",$pag)." ";
$pp_dal = ${"pp_dal".$num1};
$pp_al = ${"pp_al".$num1};
mostra_menu_date("./dati/selectperiodi$anno.1.php","pp_dal$num1",$pp_dal,"","",$id_utente,$tema);
echo " ".mex("al",$pag)." ";
mostra_menu_date("./dati/selectperiodi$anno.1.php","pp_al$num1",$pp_al,"","",$id_utente,$tema);
if ($num1 == $num_periodi_permessi_sel) {
if ($num1 > 1) echo "</td><td><input class=\"sbutton\" type=\"submit\" name=\"elimina_periodo_permesso\" value=\"".mex("Elimina un periodo",$pag)."\"></td></tr><tr><td></td><td></td><td>";
echo "</td><td><input class=\"sbutton\" type=\"submit\" name=\"aggiungi_periodo_permesso\" value=\"".mex("Aggiungi un periodo",$pag)."\">";
} # fine if ($num1 == $num_periodi_permessi_sel)
echo "</td></tr>";
} # fine for $num1
echo "</table>
<input type=\"hidden\" name=\"num_periodi_permessi_sel\" value=\"$num_periodi_permessi_sel\">
<table><tr><td style=\"width: 50px;\"></td><td>";
if (!$tipo_pp) $tipo_pp = "t";
if ($tipo_pp == "t") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"tipo_pp\" value=\"t\"$checked> ".mex("se tutt$lettera_e $parola_le $parola_settimane della prenotazione sono all'interno dei periodi selezionati",$pag)."</td></tr>
<tr><td></td><td>";
if ($tipo_pp == "u") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"tipo_pp\" value=\"u\"$checked> ".mex("se anche un$lettera_a2 sol$lettera_a $parola_settimana della prenotazione è all'interno dei periodi selezionati",$pag)."</td></tr>";
if ($tipo_ca == "s") {
echo "<tr><td></td><td>";
if ($tipo_pp == "p") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"tipo_pp\" value=\"p\"$checked> ".mex("applicare il costo solo in $parola_settimane permess$lettera_e all'interno della prenotazione",$pag)."</td></tr>";
} # fine if ($tipo_ca == "s")
echo "</table><br>";
} # fine if ($passo == 7)

if ($passo == 8) {
echo mex("Appartamenti incompatibili con il costo",'unit.php').":<br>
<table><tr><td style=\"height: 2px;\"></td></tr><tr><td style=\"width: 10px;\"></td><td>";
$num_col = 1;
for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1++) {
$idappartamenti = risul_query($appartamenti,$num1,'idappartamenti');
if ($priv_vedi_tab_appartamenti == "s" or $appartamenti_consentiti[$idappartamenti] != "NO") {
if (${"app_incomp_".$num1} == "i") $checked = " checked";
else $checked = "";
echo "<input type=\"checkbox\" name=\"app_incomp_$num1\" value=\"i\"$checked>$idappartamenti
<input type=\"hidden\" name=\"idapp_incomp_$num1\" value=\"$idappartamenti\">";
if ($num_col == 4) {
echo "</td></tr><tr><td></td><td>";
$num_col = 0;
} # fine if ($num_col == 4)
else echo "<td style=\"width: 30px;\"></td><td>";
$num_col++;
} # fine if ($priv_vedi_tab_appartamenti == "s" or $appartamenti_consentiti[$idappartamenti] != "NO")
} # fine for $num1
echo "</td></tr></table><br>";
} # fine if ($passo == 8)

if ($passo == 9) {
if ($lista_tariffe_p9) {
echo mex("Tariffe incompatibili con il costo",$pag).":<br>
<table><tr><td style=\"height: 2px;\"></td></tr><tr><td style=\"width: 10px;\"></td><td>
$lista_tariffe_p9
</td></tr></table><br>";
} # fine if ($lista_tariffe_p9)
} # fine if ($passo == 9)

if ($passo == 10) {
if ($tipo_valore_ca == "p" or ($tipo_ca == "s" and $numsett_ca != "c") or $moltiplica_ca != "c" or $beni_inv_elimina != "nessuno" or $periodi_permessi != "tutti" or $associa_tariffe != "n" or $app_incompatibili == "SI" or $tariffe_incompatibili == "SI") {
echo mex("Caratteristiche del costo da mantenere quando si modifica una prenotazione",$pag).":
<table>";
if ($tipo_valore_ca == "p") {
if (!$mantenere_percentuale) $mantenere_percentuale = "s";
if ($mantenere_percentuale == "s") $checked = " checked";
else $checked = "";
echo "<tr><td style=\"width: 30px;\"></td><td colspan=2><input type=\"checkbox\" name=\"mantenere_percentuale\" value=\"s\"$checked>
".mex("Valore percentuale",$pag);
if ($tipo_ca == "s" and $associasett == "s") echo " ".mex("e settimane associate",$pag);
if (($tipo_ca == "s" and $numsett_ca != "c") or ($moltiplica_ca != "c" and $moltiplica_ca != "1")) echo ", ".mex("se selezionato mantenere anche",$pag).":";
echo "</td></tr>";
} # fine if ($tipo_valore_ca == "p")
if ($tipo_ca == "s" and $numsett_ca != "c") {
if (!$mantenere_numsett) $mantenere_numsett = "s";
if ($mantenere_numsett == "s") $checked = " checked";
else $checked = "";
echo "<tr><td style=\"width: 30px;\"></td>";
if ($tipo_valore_ca == "p") echo "<td style=\"width: 50px;\"></td>";
echo "<td><input type=\"checkbox\" name=\"mantenere_numsett\" value=\"s\"$checked>
".mex("Assegnazione $parola_settimane",$pag)."</td></tr>";
} # fine if ($tipo_ca == "s" and $numsett_ca != "c")
if ($moltiplica_ca != "c") {
if (!$mantenere_moltiplica) $mantenere_moltiplica = "s";
if ($mantenere_moltiplica == "s") $checked = " checked";
else $checked = "";
echo "<tr><td style=\"width: 30px;\">";
if ($tipo_valore_ca == "p" and $moltiplica_ca != "1") echo "<td style=\"width: 50px;\"></td>";
echo "</td><td colspan=2><input type=\"checkbox\" name=\"mantenere_moltiplica\" value=\"s\"$checked>
".mex("Numero per cui viene moltiplicato",$pag)."</td></tr>";
} # fine if ($moltiplica_ca != "c")
if ($beni_inv_elimina != "nessuno") {
if (!$mantenere_beniinv) $mantenere_beniinv = "s";
if ($mantenere_beniinv == "s") $checked = " checked";
else $checked = "";
echo "<tr><td style=\"width: 30px;\"></td><td colspan=2><input type=\"checkbox\" name=\"mantenere_beniinv\" value=\"s\"$checked>
".mex("Beni dell'inventario da eliminare",$pag)."</td></tr>";
} # fine if ($beni_inv_elimina != "nessuno")
if ($periodi_permessi != "tutti") {
if (!$mantenere_periodip) $mantenere_periodip = "s";
if ($mantenere_periodip == "s") $checked = " checked";
else $checked = "";
echo "<tr><td style=\"width: 30px;\"></td><td colspan=2><input type=\"checkbox\" name=\"mantenere_periodip\" value=\"s\"$checked>
".mex("Periodi permessi",$pag)."</td></tr>";
} # fine if ($periodi_permessi != "tutti")
if ($associa_tariffe != "n") {
if (!$mantenere_tariffea) $mantenere_tariffea = "s";
if ($mantenere_tariffea == "s") $checked = " checked";
else $checked = "";
echo "<tr><td style=\"width: 30px;\"></td><td colspan=2><input type=\"checkbox\" name=\"mantenere_tariffea\" value=\"s\"$checked>
".mex("Associazione alle tariffe",$pag)."</td></tr>";
} # fine if ($associa_tariffe != "n")
if ($tariffe_incompatibili == "SI") {
if (!$mantenere_tariffei) $mantenere_tariffei = "s";
if ($mantenere_tariffei == "s") $checked = " checked";
else $checked = "";
echo "<tr><td style=\"width: 30px;\"></td><td colspan=2><input type=\"checkbox\" name=\"mantenere_tariffei\" value=\"s\"$checked>
".mex("Tariffe incompatibili",$pag)."</td></tr>";
} # fine if ($tariffe_incompatibili == "SI")
if ($app_incompatibili == "SI") {
if (!$mantenere_appi) $mantenere_appi = "s";
if ($mantenere_appi == "s") $checked = " checked";
else $checked = "";
echo "<tr><td style=\"width: 30px;\"></td><td colspan=2><input type=\"checkbox\" name=\"mantenere_appi\" value=\"s\"$checked>
".mex("Appartamenti incompatibili",'unit.php')."</td></tr>";
} # fine if ($app_incompatibili == "SI")
echo "</table><br>";
} # fine if ($tipo_valore_ca == "p" or $tipo_ca == "s" or $moltiplica_ca != "c" or $periodi_permessi != "tutti" or...
if ($associa_tariffe == "n" and !$assegna_da_giorno_ini and !$assegna_prenota_contemp) {
echo mex("Mostrare nella pagina di inserimento delle prenotazioni",$pag)."?
 <select name=\"mostra_ca\">";
if ($mostra_ca == "s") $selected = " selected";
else $selected = "";
echo "<option value=\"s\"$selected>".mex("SI",$pag)."</option>";
if ($mostra_ca == "n") $selected = " selected";
else $selected = "";
echo "<option value=\"n\"$selected>".mex("NO",$pag)."</option>
</select><br>";
} # fine if ($associa_tariffe == "n" and...
else echo "<input type=\"hidden\" name=\"mostra_ca\" value=\"n\">";
echo mex("Mostrare raggruppato con costi simili in inserimento",$pag)."?
 <select name=\"raggruppa_ca\">";
if (!$raggruppa_ca) $raggruppa_ca = "n";
if ($raggruppa_ca == "s") $selected = " selected";
else $selected = "";
echo "<option value=\"s\"$selected>".mex("SI",$pag)."</option>";
if ($raggruppa_ca == "n") $selected = " selected";
else $selected = "";
echo "<option value=\"n\"$selected>".mex("NO",$pag)."</option>
</select><br>
<table cellspacing=0 cellpadding=0><tr><td style=\"width: 30px;\"></td><td>
".mex("Categoria",$pag).": <input type=\"text\" name=\"categoria_ca\" value=\"$categoria_ca\" size=\"18\">
</td></tr></table><br>";
if ($moltiplica_ca != "p" and $moltiplica_ca != "t" and ($tipo_valore_ca != "p" or $tipo_percentuale == "tariffa")) {
echo mex("Considerare il costo come letto/i aggiuntivo/i",$pag)."?
 <select name=\"letto_ca\">";
if ($letto_ca == "n") $selected = " selected";
else $selected = "";
echo "<option value=\"n\"$selected>".mex("NO",$pag)."</option>";
if ($letto_ca == "s") $selected = " selected";
else $selected = "";
echo "<option value=\"s\"$selected>".mex("SI",$pag)."</option>
</select><br><br>";
} # fine if ($moltiplica_ca != "p" and...
else echo "<input type=\"hidden\" name=\"letto_ca\" value=\"n\">";
if ($tipo_ca != "s" or $associasett == "s" or ($numsett_ca == "t" and ($periodi_permessi == "tutti" or $tipo_pp != "pp"))) {
echo "<table><tr><td valign=\"top\">".mex("Limitarne il numero che è possibile avere contemporaneamente in uno stesso periodo",$pag)."?</td>
<td style=\"width: 130px;\">";
if (!$limite_ca) $limite_ca = "n";
if (!$numlimite_ca) $numlimite_ca = "1";
if ($limite_ca == "n") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"limite_ca\" value=\"n\"$checked> ".mex("No",$pag)."<br>";
if ($limite_ca == "s") $checked = " checked";
else $checked = "";
echo "<input type=\"radio\" name=\"limite_ca\" value=\"s\"$checked> ".mex("Si",$pag).":
<input type=\"text\" name=\"numlimite_ca\" value=\"$numlimite_ca\" size=\"4\">
</td></tr></table><br>";
} # fine if ($tipo_ca != "s" or...
} # fine if ($passo == 10)

if ($passo == 11) {
$aggiorna_tariffe_interconn = "SI";
$idntariffe = esegui_query("select numlimite_ca from $tablenometariffe where idntariffe = 1");
$idntariffe = risul_query($idntariffe,0,0);
if ($tipo_valore_ca == "p" and $tipo_percentuale == "totale") $tipo_valore_ca = "t";
if ($tipo_valore_ca == "p" and $tipo_percentuale == "caparra") $tipo_valore_ca = "c";
if ($tipo_valore_ca == "p" and $tipo_percentuale == "resto") $tipo_valore_ca = "r";
if ($tipo_valore_ca == "f") $valore_ca = $valore_f_ca;
else $valore_ca = $valore_p_ca;
$valore_ca = formatta_soldi($valore_ca);
$nomecostoagg = aggslashdb($nomecostoagg);
$variazione_ca = $mantenere_percentuale.$mantenere_numsett.$mantenere_moltiplica.$mantenere_periodip.$mantenere_tariffea.$mantenere_tariffei.$mantenere_beniinv.$mantenere_appi;
$mostra_ca = $mostra_ca.$raggruppa_ca;
esegui_query("insert into $tablenometariffe (idntariffe,nomecostoagg,tipo_ca,valore_ca,moltiplica_ca,variazione_ca,mostra_ca,letto_ca,utente_inserimento) values ('$idntariffe','$nomecostoagg','$tipo_ca$tipo_valore_ca','$valore_ca','$moltiplica_ca','$variazione_ca','$mostra_ca','$letto_ca','$id_utente')");
if ($tipo_valore_ca != "f") {
$arrotonda_ca = formatta_soldi($arrotonda_ca);
esegui_query("update $tablenometariffe set arrotonda_ca = '$arrotonda_ca' where idntariffe = '$idntariffe'");
} # fine if ($tipo_valore_ca != "f")
if ($tasseperc_ca) esegui_query("update $tablenometariffe set tasseperc_ca = '$tasseperc_ca' where idntariffe = '$idntariffe'");
for ($numtariffa = 1 ; $numtariffa <= $numero_tariffe ; $numtariffa++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI") {
$tariffa = "tariffa".$numtariffa;
unset($valtariffa);
if ($associa_tariffe != "n") {
if (${"sel".$tariffa} == "s") {
$valtariffa = "s";
if (${"minmax".$tariffa} != "") {
if (${"minmax".$tariffa} == "min") $valtariffa = ">";
if (${"minmax".$tariffa} == "max") $valtariffa = "<";
if (${"minmax".$tariffa} == "eq") $valtariffa = "=";
if (${"minmax".$tariffa} == "tra") $valtariffa = "|";
$valtariffa .= ${"valminmax".$tariffa};
if (${"minmax".$tariffa} == "tra") $valtariffa .= "<".${"valminmax2".$tariffa};
} # fine if (${"minmax".$tariffa} != "")
$valtariffa = $associa_tariffe.$valtariffa;
} # fine if (${"sel".$tariffa} == "s")
} # fine if ($associa_tariffe != "n")
if (${"incomp_".$tariffa} == "i") $valtariffa = "i";
if ($valtariffa) esegui_query("update $tablenometariffe set $tariffa = '$valtariffa' where idntariffe = '$idntariffe'");
} # fine if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$numtariffa] == "SI")
} # fine for $numtariffa
$regoleassegna_ca = "";
if ($assegna_da_giorno_ini) {
if ($ass_gio_ini_segno == "piu") $regoleassegna_ca .= ">".$ass_gio_ini_num;
else $regoleassegna_ca .= "<".$ass_gio_ini_num;
} # fine if ($assegna_da_giorno_ini)
$regoleassegna_ca .= ";";
if ($assegna_prenota_contemp) $regoleassegna_ca .= $ass_pren_cont_num;
esegui_query("update $tablenometariffe set regoleassegna_ca = '$regoleassegna_ca' where idntariffe = '$idntariffe'");
if ($tipo_ca == "s") {
esegui_query("update $tablenometariffe set associasett_ca = '$associasett' where idntariffe = '$idntariffe'");
$valnumsett_ca = $numsett_ca;
if ($numsett_ca == "m" and $pos_menouna != "") $valnumsett_ca .= $pos_menouna;
if ($numsett_ca == "s") $valnumsett_ca .= $val1_prime_si.",".$val2_prime_si;
if ($numsett_ca == "n") $valnumsett_ca .= $val1_prime_no.",".$val2_prime_no;
if ($numsett_ca == "g") {
$giorni_sel = "";
if ($lun_sel == "s") $giorni_sel .= ",1";
if ($mar_sel == "s") $giorni_sel .= ",2";
if ($mer_sel == "s") $giorni_sel .= ",3";
if ($gio_sel == "s") $giorni_sel .= ",4";
if ($ven_sel == "s") $giorni_sel .= ",5";
if ($sab_sel == "s") $giorni_sel .= ",6";
if ($dom_sel == "s") $giorni_sel .= ",7";
if ($giorni_sel) $giorni_sel = substr($giorni_sel,1);
$valnumsett_ca .= $giorni_sel;
} # fine if ($numsett_ca == "g")
esegui_query("update $tablenometariffe set numsett_ca = '$valnumsett_ca' where idntariffe = '$idntariffe'");
} # fine if ($tipo_ca == "s")
if ($beni_inv_elimina == "sel") {
if ($tipo_bie == "m") $beniinv_ca = "mag$mag_bie_sel";
else $beniinv_ca = "app";
for ($num1 = 1 ; $num1 <= $num_beni_inv_elimina_sel ; $num1++) $beniinv_ca .= ";".${"bene_inv_sel".$num1}.",".${"molt_bene_inv_sel".$num1};
esegui_query("update $tablenometariffe set beniinv_ca = '$beniinv_ca' where idntariffe = '$idntariffe'");
} # fine if ($beni_inv_elimina == "sel")
if ($periodi_permessi == "sel") {
$periodipermessi_ca = "";
for ($num1 = 1 ; $num1 <= $num_periodi_permessi_sel ; $num1++) {
$idinizioperiodo = esegui_query("select idperiodi from $tableperiodi where datainizio = '".${"pp_dal".$num1}."' ");
$idinizioperiodo = risul_query($idinizioperiodo,0,'idperiodi');
$idfineperiodo = esegui_query("select idperiodi from $tableperiodi where datafine = '".${"pp_al".$num1}."' ");
$idfineperiodo = risul_query($idfineperiodo,0,'idperiodi');
$periodipermessi_ca .= ",".$idinizioperiodo."-".$idfineperiodo;
} # fine for $num1
$periodipermessi_ca = $tipo_pp.substr($periodipermessi_ca,1);
esegui_query("update $tablenometariffe set periodipermessi_ca = '$periodipermessi_ca' where idntariffe = '$idntariffe'");
} # fine if ($periodi_permessi == "sel")
$appincompatibili_ca = "";
for ($num1 = 0 ; $num1 < $num_appartamenti ; $num1++) {
if (${"app_incomp_".$num1} == "i") {
$appincompatibili_ca .= ${"idapp_incomp_".$num1}.",";
} # fine (${"app_incomp_".$num1} == "i")
} # fine for $num1
$appincompatibili_ca = substr($appincompatibili_ca,0,-1);
if (strcmp($appincompatibili_ca,"")) esegui_query("update $tablenometariffe set appincompatibili_ca = '$appincompatibili_ca' where idntariffe = '$idntariffe'");
if (strcmp($categoria_ca,"")) esegui_query("update $tablenometariffe set categoria_ca = '".aggslashdb($categoria_ca)."' where idntariffe = '$idntariffe'");
if ($limite_ca == "s") esegui_query("update $tablenometariffe set numlimite_ca = '$numlimite_ca' where idntariffe = '$idntariffe'");
if ($attiva_costi_agg_consentiti != "n") {
$costi_agg_cons_int = esegui_query("select costi_agg_consentiti from $tableprivilegi where idutente = '$id_utente'  and anno = '$anno' ");
$costi_agg_cons_int = risul_query($costi_agg_cons_int,0,"costi_agg_consentiti");
esegui_query("update $tableprivilegi set costi_agg_consentiti = '$costi_agg_cons_int,$idntariffe' where idutente = '$id_utente'  and anno = '$anno' ");
} # fine if ($attiva_costi_agg_consentiti != "n")
if ($priv_ins_costi_agg == "g") {
reset($utenti_gruppi);
while (list($idut_gr,$val) = each($utenti_gruppi)) {
if ($idut_gr != $id_utente) {
$costi_agg_cons_int = esegui_query("select costi_agg_consentiti from $tableprivilegi where idutente = '$idut_gr'  and anno = '$anno' ");
if (numlin_query($costi_agg_cons_int) == 1) {
$costi_agg_cons_int = risul_query($costi_agg_cons_int,0,"costi_agg_consentiti");
if (substr($costi_agg_cons_int,0,1) != "n") {
esegui_query("update $tableprivilegi set costi_agg_consentiti = '$costi_agg_cons_int,$idntariffe' where idutente = '$idut_gr'  and anno = '$anno' ");
} # fine if (substr($costi_agg_cons_int,0,1) != "n")
} # fine if (numlin_query($costi_agg_cons_int) == 1)
} # fine if ($idut_gr != $id_utente)
} # fine while (list($idut_gr,$val) = each($utenti_gruppi))
} # fine if ($priv_ins_costi_agg == "g")
$idntariffe++;
esegui_query("update $tablenometariffe set numlimite_ca = '$idntariffe' where idntariffe = 1");
echo "</div></form>
".mex("Il costo aggiuntivo",$pag)." \"".stripslashes($nomecostoagg)."\" ".mex("è stato inserito",$pag).".<br><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\"><br>
</div></form>";
} # fine if ($passo == 11)

} # fine if ($errore != "SI")
else {
if ($messaggio_errore) echo $messaggio_errore;
else echo mex("Errore nei valori inseriti",$pag).".<br>";
} # fine else if ($errore != "SI")

if ($passo != 11 or $errore == "SI") {
echo "<input type=\"hidden\" name=\"passo\" value=\"$passo\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"< ".mex("indietro",$pag)."\">";
if ($errore != "SI") echo "<input class=\"sbutton\" type=\"submit\" name=\"avanti\" value=\"".mex("avanti",$pag)." >\">";
echo "</div></form><br>";
} # fine if ($passo != 11 or $errore == "SI")

unlock_tabelle($tabelle_lock);
} # fine if ($passo > 1)
} # fine if ($inseriscicosti and $priv_ins_costi_agg != "n")



if ($inserisci_settimanalmente and $priv_mod_tariffe != "n") {
$mostra_form_iniziale = "NO";
$inserisci = "";
$modifica = "";
$num_tariffa = substr($tipotariffa,7);
if (substr($tipotariffa,0,7) != "tariffa" or controlla_num_pos($num_tariffa) != "SI") $tipotariffa = "tariffa1";
if ($attiva_tariffe_consentite != "n" and $tariffe_consentite_vett[$num_tariffa] != "SI") $inserire_prezzi = "NO";
$inizioperiodo = aggslashdb($inizioperiodosett1);
$fineperiodo = aggslashdb($fineperiodosett1);
$idinizioperiodo = esegui_query("select idperiodi from $tableperiodi where datainizio = '$inizioperiodo' ");
$num_idinizioperiodo = numlin_query($idinizioperiodo);
if ($num_idinizioperiodo == 0) { $idinizioperiodo = 10000; }
else { $idinizioperiodo = risul_query($idinizioperiodo,0,'idperiodi'); }
$inizioperiodo = $idinizioperiodo;
$idfineperiodo = esegui_query("select idperiodi from $tableperiodi where datafine = '$fineperiodo' ");
$num_idfineperiodo = numlin_query($idfineperiodo);
if ($num_idfineperiodo == 0) { $idfineperiodo = -1; }
else { $idfineperiodo = risul_query($idfineperiodo,0,'idperiodi'); }
$fineperiodo = $idfineperiodo ;
if ($idfineperiodo < $idinizioperiodo) {
$inserire_prezzi = "NO";
echo mex("Le date sono sbagliate",$pag).". <br>";
} # fine if ($idfineperiodo < $idinizioperiodo)

if ($tipo_prezzo == "sett") {
$prezzosett = formatta_soldi($prezzosett);
$prezzosett_int = floor($prezzosett);
$resto_int = $prezzosett - (double) $prezzosett_int;
$prezzo_gio = floor($prezzosett_int / 7);
for ($num1 = 1 ; $num1 <= 7 ; $num1++) ${"prezzoperiodo".$num1} = $prezzo_gio;
$resto = $prezzosett_int - ($prezzo_gio * 7);
if ($resto >= 1) {
$prezzoperiodo1++;
$resto--;
} # fine if ($resto >= 1)
for ($num1 = 7 ; $num1 > (7 - $resto) ; $num1--) ${"prezzoperiodo".$num1}++;
$prezzoperiodo1 += $resto_int;
$checked_sett = "checked=\"checked\"";
$checked_gio = "";
} # fine if ($tipo_prezzo == "sett")
else {
$checked_sett = "";
$checked_gio = "checked=\"checked\"";
} # fine else if ($tipo_prezzo == "sett")

$prezzoperiodo1 = formatta_soldi($prezzoperiodo1);
if (controlla_soldi($prezzoperiodo1) == "NO") $soldi_sbagliati = "SI";
$prezzoperiodo2 = formatta_soldi($prezzoperiodo2);
if (controlla_soldi($prezzoperiodo2) == "NO") $soldi_sbagliati = "SI";
$prezzoperiodo3 = formatta_soldi($prezzoperiodo3);
if (controlla_soldi($prezzoperiodo3) == "NO") $soldi_sbagliati = "SI";
$prezzoperiodo4 = formatta_soldi($prezzoperiodo4);
if (controlla_soldi($prezzoperiodo4) == "NO") $soldi_sbagliati = "SI";
$prezzoperiodo5 = formatta_soldi($prezzoperiodo5);
if (controlla_soldi($prezzoperiodo5) == "NO") $soldi_sbagliati = "SI";
$prezzoperiodo6 = formatta_soldi($prezzoperiodo6);
if (controlla_soldi($prezzoperiodo6) == "NO") $soldi_sbagliati = "SI";
$prezzoperiodo7 = formatta_soldi($prezzoperiodo7);
if (controlla_soldi($prezzoperiodo7) == "NO") $soldi_sbagliati = "SI";
if ($soldi_sbagliati == "SI") {
$inserire_prezzi = "NO";
echo mex("Il formato dei soldi è sbagliato",$pag).". <br>";
} # fine if ($soldi_sbagliati == "SI")

if ($inserire_prezzi != "NO") {
$aggiorna_tariffe_interconn = "SI";
$tabelle_lock = array("$tableperiodi","$tablepersonalizza");
$tabelle_lock = lock_tabelle($tabelle_lock);
for ($num1 = $inizioperiodo ; $num1 < $fineperiodo ; $num1++) {
if ($prezzoperiodo1) esegui_query("update $tableperiodi set $tipotariffa = '$prezzoperiodo1' where idperiodi = '$num1' ");
$num1++;
if ($prezzoperiodo2) esegui_query("update $tableperiodi set $tipotariffa = '$prezzoperiodo2' where idperiodi = '$num1' ");
$num1++;
if ($prezzoperiodo3) esegui_query("update $tableperiodi set $tipotariffa = '$prezzoperiodo3' where idperiodi = '$num1' ");
$num1++;
if ($prezzoperiodo4) esegui_query("update $tableperiodi set $tipotariffa = '$prezzoperiodo4' where idperiodi = '$num1' ");
$num1++;
if ($prezzoperiodo5) esegui_query("update $tableperiodi set $tipotariffa = '$prezzoperiodo5' where idperiodi = '$num1' ");
$num1++;
if ($prezzoperiodo6) esegui_query("update $tableperiodi set $tipotariffa = '$prezzoperiodo6' where idperiodi = '$num1' ");
$num1++;
if ($prezzoperiodo7) esegui_query("update $tableperiodi set $tipotariffa = '$prezzoperiodo7' where idperiodi = '$num1' ");
} # fine for $num1
$ultime_sel_ins_prezzi_s = aggslashdb("$anno,$inizioperiodosett1,$fineperiodosett1,$checked_sett,$checked_gio");
esegui_query("delete from $tablepersonalizza where idpersonalizza = 'ultime_sel_ins_prezzi_s' and idutente = '$id_utente' ");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('ultime_sel_ins_prezzi_s','$id_utente','$ultime_sel_ins_prezzi_s') ");
unlock_tabelle($tabelle_lock);
$inizioperiodosett1_f = formatta_data($inizioperiodosett1,$stile_data);
$fineperiodosett1_f = formatta_data($fineperiodosett1,$stile_data);
echo mex("I prezzi per le settimane dal",$pag)." <b>$inizioperiodosett1_f</b> ".mex("al",$pag)." <b>$fineperiodosett1_f</b> ".mex("della <b>tariffa",$pag)."$num_tariffa</b> ".mex("sono stati inseriti",$pag).". <br>";
} # fine if ($inserire_prezzi != "NO")

echo "
<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tariffa_selected\" value=\"$num_tariffa\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\"><br>
</div></form>";
} # fine if ($inserisci_settimanalmente and $priv_mod_tariffe != "n")



# Inserisco i prezzi (della form da-a)

if (($inserisci or $modifica) and $priv_mod_tariffe != "n") {
$mostra_form_iniziale = "NO";
$tabelle_lock = array("$tablenometariffe","$tableperiodi","$tablepersonalizza");
$tabelle_lock = lock_tabelle($tabelle_lock);
$inserire = "SI";
$rigatariffe = esegui_query("select * from $tablenometariffe where idntariffe = 1 ");
$numero_tariffe = risul_query($rigatariffe,0,'nomecostoagg');

# Controllo se i campi inseriti sono già presenti
$num_tariffa = substr($tipotariffa,7);
$tipotariffa_vedi = mex("tariffa",$pag).$num_tariffa;
if (substr($tipotariffa,0,7) != "tariffa" or controlla_num_pos($num_tariffa) != "SI") $tipotariffa = "tariffa1";
if ($attiva_tariffe_consentite != "n" and $tariffe_consentite_vett[$num_tariffa] != "SI") $inserire = "NO";
if ($num_tariffa > $numero_tariffe) $inserire = "NO";
if ($opztariffa) {
if ($opztariffa != "p") $opztariffa = "s";
if ($inserisci) {
$opztariffa_esist = esegui_query("select * from $tablenometariffe where idntariffe = 4 and $tipotariffa != ''");
if (numlin_query($opztariffa_esist)) {
echo mex("Il tipo di applicazione della",$pag)." $tipotariffa_vedi ".mex("già esiste, usa il tasto \"modifica i prezzi già inseriti\" per cambiarlo o non metterlo per inserire prezzi per nuovi periodi",$pag).".<br>";
$inserire = "NO";
} # fine if (numlin_query($opztariffa_esist))
} # fine if ($inserisci)
} # fine if ($opztariffa)
if ($nometariffa) {
$nometariffa = stripslashes($nometariffa);
$nometariffa = htmlspecialchars($nometariffa);
$vecchionometariffa = esegui_query("select * from $tablenometariffe where idntariffe = 1 and $tipotariffa != ''");
$esistenometariffa = numlin_query($vecchionometariffa) ;
if ($esistenometariffa > 0 and $inserisci) {
echo mex("Il soprannome della",$pag)." $tipotariffa_vedi ".mex("già esiste, usa il tasto \"modifica i prezzi già inseriti\" per cambiarlo o non metterlo per inserire prezzi per nuovi periodi",$pag).".<br>";
$inserire = "NO";
} # fine if ($esistenometariffa > 0 and $inserisci)
for ($num1 = 1 ; $num1 <= $numero_tariffe ; $num1++) {
$tariffa_controlla = "tariffa".$num1;
if ($tariffa_controlla != $tipotariffa) {
$nome_tariffa_controlla = risul_query($rigatariffe,0,$tariffa_controlla);
if ($nome_tariffa_controlla == $nometariffa) {
echo mex("Il soprannome",$pag)." $nometariffa ".mex("già esiste, ne devi usare un'altro",$pag).".<br>";
$inserire = "NO";
} # fine if ($nome_tariffa_controlla == $nometariffa)
} # fine if ($tariffa_controlla != $tipotariffa)
} # fine for $num1
} # fine if ($nometariffa)
$ultime_sel_ins_prezzi = $anno;
for ($numperiodo = 1 ; $numperiodo <= $numcaselle ; $numperiodo = $numperiodo + 1) {
$prezzoperiodo = "prezzoperiodo" . $numperiodo;
$ultime_sel_ins_prezzi .= ",".${"inizioperiodo".$numperiodo}.",".${"fineperiodo".$numperiodo};
if (strcmp($$prezzoperiodo,"")) {
$$prezzoperiodo = formatta_soldi($$prezzoperiodo);
$inizioperiodo = "inizioperiodo" . $numperiodo;
$inizioperiodo = aggslashdb($$inizioperiodo);
$fineperiodo = "fineperiodo" . $numperiodo;
$fineperiodo = aggslashdb($$fineperiodo);
$idinizioperiodo = esegui_query("select idperiodi from $tableperiodi where datainizio = '$inizioperiodo' ");
$num_idinizioperiodo = numlin_query($idinizioperiodo);
if ($num_idinizioperiodo != 0) {
$idinizioperiodo = risul_query($idinizioperiodo,0,'idperiodi');
} # fine if ($num_idinizioperiodo != 0)
else $idinizioperiodo = 9999999;
$idfineperiodo = esegui_query("select idperiodi from $tableperiodi where datafine = '$fineperiodo' ");
$num_idfineperiodo = numlin_query($idfineperiodo);
if ($num_idfineperiodo != 0) {
$idfineperiodo = risul_query($idfineperiodo,0,'idperiodi');
} # fine if ($num_idfineperiodo != 0)
else $idfineperiodo = -9999999;
$IDinizioperiodo[$numperiodo] = $idinizioperiodo;
$IDfineperiodo[$numperiodo] = $idfineperiodo;
if ($idfineperiodo < $idinizioperiodo) {
$inserire = "NO";
echo mex("Le date del periodo numero",$pag)." $numperiodo ".mex("sono sbagliate",$pag).". <br>";
} # fine if ($idfineperiodo < $idinizioperiodo)
else {
for ( ; $idfineperiodo >= $idinizioperiodo ; $idinizioperiodo = $idinizioperiodo + 1) {
if ($inserirepp[$idinizioperiodo] == "SI") {
echo mex("Il periodo",$pag)." $numperiodo ".mex("si sovrappone ad un periodo precedente",$pag).". <br>";
$inserire = "NO";
} # fine if (inserirepp[$idinizioperiodo] == "SI")
else {
$inserirepp[$idinizioperiodo] = "SI";
$vecchioprezzoperiodo = esegui_query("select $tipotariffa from $tableperiodi where idperiodi = '$idinizioperiodo' and $tipotariffa is not NULL");
$esisteprezzoperiodo = numlin_query($vecchioprezzoperiodo);
if ($esisteprezzoperiodo > 0 and $inserisci) {
echo mex("Un prezzo nel periodo numero",$pag)." $numperiodo ".mex("esiste già, usa il tasto \"modifica i prezzi già inseriti\" per cambiarlo",$pag).". <br>";
$inserire = "NO";
} # fine if ($esisteprezzoperiodo > 0 and $inserisci)
} # fine else if (inserirepp[$idinizioperiodo] == "SI")
} # fine for $idinizioperiodo
if (controlla_soldi($$prezzoperiodo) == "NO") {
echo mex("Il prezzo del periodo numero",$pag)." $numperiodo ".mex("è sbagliato",$pag).". <br>";
$inserire = "NO";
} # fine if (controlla_soldi($$prezzoperiodo) == "NO")
} # fine else if ($idfineperiodo < $idinizioperiodo)
} # fine if (strcmp($$prezzoperiodo,""))
} # fine for $numperiodo

# Inserisco i nuovi dati
if ($inserire == "SI") {
$aggiorna_tariffe_interconn = "SI";
esegui_query("delete from $tablepersonalizza where idpersonalizza = 'ultime_sel_ins_prezzi' and idutente = '$id_utente' ");
esegui_query("insert into $tablepersonalizza (idpersonalizza,idutente,valpersonalizza) values ('ultime_sel_ins_prezzi','$id_utente','$ultime_sel_ins_prezzi') ");
if ($opztariffa) {
esegui_query("update $tablenometariffe set $tipotariffa = '$opztariffa' where idntariffe = '4' ");
echo mex("Il tipo di applicazione della",$pag)." $tipotariffa_vedi ".mex("è stato cambiato",$pag).".<br>";
} # fine if ($opztariffa)
if ($nometariffa) {
$nometariffa = aggslashdb($nometariffa);
esegui_query("update $tablenometariffe set $tipotariffa = '$nometariffa' where idntariffe = '1' ");
echo mex("Il soprannome della",$pag)." $tipotariffa_vedi ".mex("è stato cambiato",$pag).".<br>";
} # fine if ($nometariffa)
for ( $numperiodo = 1; $numperiodo <= $numcaselle; $numperiodo = $numperiodo + 1) {
$prezzoperiodo = "prezzoperiodo".$numperiodo;
$prezzoperiodo = $$prezzoperiodo;
if (strcmp($prezzoperiodo,"")) {
$idinizioperiodo = $IDinizioperiodo[$numperiodo];
$idfineperiodo = $IDfineperiodo[$numperiodo];
for ( ; $idfineperiodo >= $idinizioperiodo; $idinizioperiodo = $idinizioperiodo + 1) {
esegui_query("update $tableperiodi set $tipotariffa = '$prezzoperiodo' where idperiodi = '$idinizioperiodo' ");
} # fine for $idinizioperiodo
echo mex("Il prezzo del periodo",$pag)." $numperiodo ".mex("è stato inserito",$pag)."!<br>";
} # fine if (strcmp($prezzoperiodo,""))
} # fine for $numperiodo
} # fine if ($inserire == "SI")
else {
echo mex("Nessun dato è stato inserito",$pag).".<br>";
} # fine else if ($inserire == "SI")
unlock_tabelle($tabelle_lock);
echo "
<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php?anno=$anno\"><div>
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"ok\" value=\"OK\"><br>
</div></form>";
} # fine if (($inserisci or $modifica) and $priv_mod_tariffe != "n")




if ($mostra_form_iniziale != "NO") {


echo "<h4>".mex("Inserisci i prezzi per l'anno",$pag)." $anno</h4>
<br><hr style=\"width: 95%\">";

$dati_tariffe = dati_tariffe($tablenometariffe);
if ($id_utente == 1) {
echo "<table cellspacing=\"0\"><tr><td>
<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"origine\" value=\"./creaprezzi.php\">
".mex("Cambia il numero delle tariffe","personalizza.php")." ".mex("per l'anno","personalizza.php")." $anno
 ".mex("a","personalizza.php")." <input type=\"text\" name=\"nuovo_numero_tariffe\" size=\"5\" value=\"".$dati_tariffe['num']."\">
<input class=\"sbutton\" type=\"submit\" name=\"cambianumerotariffe\" value=\"".mex("Cambia","personalizza.php")."\">
</div></form></td><td style=\"width: 50px;\"></td><td>
<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"cambia_ord_tariffe\" value=\"SI\">
<input type=\"hidden\" name=\"origine\" value=\"./creaprezzi.php\">
<input class=\"sbutton\" type=\"submit\" value=\"".ucfirst(mex("cambia l'ordine delle tariffe","personalizza.php"))."\">
</div></form></td></tr></table>
<hr style=\"width: 95%\">";
} # fine if ($id_utente == 1)

if ($priv_mod_tariffe != "n") {
$lista_opt_tariffe = "";
for ($num1 = 1 ; $num1 <= $dati_tariffe['num'] ; $num1++) {
if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$num1] == "SI") {
$tariffa = "tariffa".$num1;
$nometariffa_vedi = mex("tariffa",$pag).$num1;
if ($dati_tariffe[$tariffa]['nome'] != "") {
$nometariffa_vedi .= " (".$dati_tariffe[$tariffa]['nome'];
if ($dati_tariffe[$tariffa]['moltiplica'] == "p") $nometariffa_vedi .= ", ".mex("per persona",$pag);
$nometariffa_vedi .= ")";
} # fine if ($dati_tariffe[$tariffa]['nome'] != "")
elseif ($dati_tariffe[$tariffa]['moltiplica'] == "p") $nometariffa_vedi .= " (".mex("per persona",$pag).")";
$lista_opt_tariffe .= "<option value=\"$tariffa\"$selected>$nometariffa_vedi</option>";
} # fine if ($attiva_tariffe_consentite == "n" or $tariffe_consentite_vett[$num1] == "SI")
} # fine for $num1
if ($lista_opt_tariffe) {

# Questa è la form con da-a

echo "<div style=\"text-align: center;\">
<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<h5>".mex("Nome e tipo della tariffa, inserzione per $parola_settimane",$pag)."</h5><br>";

echo "<div class=\"linhbox\">".mex("Prezzi della",$pag)." 
<select name=\"tipotariffa\">
$lista_opt_tariffe
</select><select name=\"opztariffa\">
<option value=\"\" selected>&nbsp;</option>
<option value=\"s\">".mex("per $parola_settimana",$pag)."</option>
<option value=\"p\">".mex("per persona",$pag)." ".mex("per $parola_settimana",$pag)."</option>
</select><br>
".mex("soprannominata",$pag)."
<input type=\"text\" name=\"nometariffa\" size=\"30\"><br>";

$arrotond_predef = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'arrotond_predef' and idutente = '$id_utente'");
$arrotond_predef = risul_query($arrotond_predef,0,'valpersonalizza');

$ultime_sel_ins_prezzi = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'ultime_sel_ins_prezzi' and idutente = '$id_utente'");
if (numlin_query($ultime_sel_ins_prezzi) == 1) $ultime_sel_ins_prezzi = explode(",",risul_query($ultime_sel_ins_prezzi,0,'valpersonalizza'));
else $ultime_sel_ins_prezzi = "";
$date_selected = "";
for ($numperiodo = 1 ; $numperiodo <= $numcaselle ; $numperiodo = $numperiodo + 1) {
$inizioperiodo = "inizioperiodo" . $numperiodo;
$fineperiodo = "fineperiodo" . $numperiodo;
$prezzoperiodo = "prezzoperiodo" . $numperiodo;
echo " $numperiodo. ".mex("Dal",$pag)." ";
if ($ultime_sel_ins_prezzi[0] == $anno) $date_selected = $ultime_sel_ins_prezzi[(($numperiodo * 2) - 1)];
mostra_menu_date("./dati/selectperiodi$anno.$id_utente.php","$inizioperiodo",$date_selected,"","",$id_utente,$tema);
echo " ".mex("al",$pag)." ";
if ($ultime_sel_ins_prezzi[0] == $anno) $date_selected = $ultime_sel_ins_prezzi[($numperiodo * 2)];
mostra_menu_date("./dati/selectperiodi$anno.$id_utente.php","$fineperiodo",$date_selected,"","",$id_utente,$tema);
echo " :  <input type=\"text\" name=\"$prezzoperiodo\" size=\"15\">$Euro<br>";
} # fine for $numperiodo

echo "</div><table><tr><td style=\"height: 2px;\"></td></tr></table>
<input class=\"sbutton\" type=\"submit\" name=\"modifica\" value=\"".mex("inserisci o modifica i prezzi",$pag)."\">
</div></form><br>
<hr style=\"width: 95%\">";
/*
echo "</div><table><tr><td style=\"height: 2px;\"></td></tr></table>
<input class=\"sbutton\" type=\"submit\" name=\"inserisci\" value=\"".mex("inserisci i nuovi prezzi",$pag)."\">
<input class=\"sbutton\" type=\"submit\" name=\"modifica\" value=\"".mex("modifica i prezzi già inseriti",$pag)."\">
</div></form><br>
<hr style=\"width: 95%\">";
*/


if ($tipo_periodi == "g") {
echo "<h5>".mex("Inserzione per settimane",$pag)."</h5><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">";

echo mex("Prezzi della",$pag)." 
<select name=\"tipotariffa\">";
echo str_replace("tariffa$tariffa_selected\">","tariffa$tariffa_selected\" selected>",$lista_opt_tariffe);
echo "</select><br><br> ";

$giorno_vedi_ini_sett = esegui_query("select valpersonalizza_num from $tablepersonalizza where idpersonalizza = 'giorno_vedi_ini_sett$anno' and idutente = '$id_utente'");
if (numlin_query($giorno_vedi_ini_sett) == 1) $giorno_vedi_ini_sett = risul_query($giorno_vedi_ini_sett,0,'valpersonalizza_num');
else $giorno_vedi_ini_sett = 0;

$file_date = file("dati/selectperiodi$anno.$id_utente.php");
$num_linee_file_date = count($file_date);
for ($num1 = 0 ; $num1 < $num_linee_file_date ; $num1++) {
if (substr($file_date[$num1],0,7) == "<option") {
$mese_data = substr($file_date[$num1],21,2);
$giorno_data = substr($file_date[$num1],24,2);
$anno_data = substr($file_date[$num1],16,4);
#if ($mese_data == "Jan") $mese_data = 1;
#if ($mese_data == "Feb") $mese_data = 2;
#if ($mese_data == "Mar") $mese_data = 3;
#if ($mese_data == "Apr") $mese_data = 4;
#if ($mese_data == "May") $mese_data = 5;
#if ($mese_data == "Jun") $mese_data = 6;
#if ($mese_data == "Jul") $mese_data = 7;
#if ($mese_data == "Aug") $mese_data = 8;
#if ($mese_data == "Sep") $mese_data = 9;
#if ($mese_data == "Oct") $mese_data = 10;
#if ($mese_data == "Nov") $mese_data = 11;
#if ($mese_data == "Dec") $mese_data = 12;
if (date("w", mktime(0,0,0,$mese_data,$giorno_data,$anno_data)) == $giorno_vedi_ini_sett) {
$file_date[$num1]= str_replace("\\","",$file_date[$num1]);
$option_domeniche .= $file_date[$num1];
} # fine if (date("w", mktime(0,0,0,$mese_data,$giorno_data,$anno_data)) == 0)
} # fine if (substr($file_date[$num1],0,7) == "<option")
} # fine for $num1

$ultime_sel_ins_prezzi_s = esegui_query("select valpersonalizza from $tablepersonalizza where idpersonalizza = 'ultime_sel_ins_prezzi_s' and idutente = '$id_utente'");
if (numlin_query($ultime_sel_ins_prezzi_s) == 1) $ultime_sel_ins_prezzi_s = explode(",",risul_query($ultime_sel_ins_prezzi_s,0,'valpersonalizza'));
else $ultime_sel_ins_prezzi_s = "";
if ($ultime_sel_ins_prezzi_s[0] == $anno) {
$option_domeniche1 = str_replace("\"".$ultime_sel_ins_prezzi_s[1]."\">","\"".$ultime_sel_ins_prezzi_s[1]."\" selected>",$option_domeniche);
$option_domeniche2 = str_replace("\"".$ultime_sel_ins_prezzi_s[2]."\">","\"".$ultime_sel_ins_prezzi_s[2]."\" selected>",$option_domeniche);
$checked_sett = $ultime_sel_ins_prezzi_s[3];
$checked_gio = $ultime_sel_ins_prezzi_s[4];
} # fine if ($ultime_sel_ins_prezzi_s[0] == $anno)
else {
$option_domeniche1 = $option_domeniche;
$option_domeniche2 = $option_domeniche;
$checked_sett = "checked=\"checked\"";
$checked_gio = "";
} # fine else if ($ultime_sel_ins_prezzi_s[0] == $anno)
echo mex("Settimane dal",$pag)."
 <select name=\"inizioperiodosett1\" id=\"id_sdm49\" onChange=\"update_selected_dates('49')\">$option_domeniche1</select>
".mex("al",$pag)." <select name=\"fineperiodosett1\" id=\"id_sdm50\" onChange=\"update_selected_dates('50')\">$option_domeniche2</select><br><br>
<input name=\"tipo_prezzo\" value=\"sett\" id=\"tipo_prezzo_sett\" $checked_sett type=\"radio\">
".mex("Prezzo dell'intera settimana",$pag).": 
<input type=\"text\" name=\"prezzosett\" size=\"15\" onfocus=\"document.getElementById('tipo_prezzo_sett').checked='1'\">$Euro<br>
<br><div class=\"linhbox\">
<input name=\"tipo_prezzo\" value=\"gio\" id=\"tipo_prezzo_gio\" $checked_gio type=\"radio\">
".mex("Prezzi dei giorni",$pag).": ";
for ($num1 = 1 ; $num1 <= 7 ; $num1++) {
if ($giorno_vedi_ini_sett == 0) echo mex("Dom/Lun",$pag);
if ($giorno_vedi_ini_sett == 1) echo mex("Lun/Mar",$pag);
if ($giorno_vedi_ini_sett == 2) echo mex("Mar/Mer",$pag);
if ($giorno_vedi_ini_sett == 3) echo mex("Mer/Gio",$pag);
if ($giorno_vedi_ini_sett == 4) echo mex("Gio/Ven",$pag);
if ($giorno_vedi_ini_sett == 5) echo mex("Ven/Sab",$pag);
if ($giorno_vedi_ini_sett == 6) echo mex("Sab/Dom",$pag);
echo ": <input type=\"text\" name=\"prezzoperiodo$num1\" size=\"15\" onfocus=\"document.getElementById('tipo_prezzo_gio').checked='1'\">$Euro;";
if ($num1 == 1 or $num1 == 4) echo "<br>";
else echo " ";
$giorno_vedi_ini_sett++;
if ($giorno_vedi_ini_sett == 7) $giorno_vedi_ini_sett = 0;
} # fine for $num1

echo "</div><table><tr><td style=\"height: 2px;\"></td></tr></table>
<input class=\"sbutton\" type=\"submit\" name=\"inserisci_settimanalmente\" value=\"".mex("inserisci o modifica i prezzi",$pag)."\">
</div></form><br>
<hr style=\"width: 95%\">";
} # fine if ($tipo_periodi == "g")


echo "<table><tr><td style=\"height: 6px;\"></td></tr></table>
</div><form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<script type=\"text/javascript\">
<!--
function att_dis_arrotond () {
var select = document.getElementById('tip_per');
var arrotond = document.getElementById('imp_arr');
if (select.selectedIndex == 0) arrotond.disabled = false;
else arrotond.disabled = true;
}
-->
</script>
".mex("Importa i prezzi della",$pag)." ";
$select_nomi_tariffe = "";
echo "<select name=\"tariffa_a\">
$lista_opt_tariffe
</select> ".mex("dalla",$pag)." <select name=\"tariffa_da\">
$lista_opt_tariffe
</select> ".mex("aggiungendo",$pag)." <span style=\"white-space: nowrap;\">
<input type=\"text\" name=\"importa_percent\" size=\"3\" maxlength=\"3\" value=\"0\"><select name=\"tipo_percent\" id=\"tip_per\" onchange=\"att_dis_arrotond()\"> 
<option value=\"perc\">%</option>
<option value=\"euro_g\">$Euro ".mex("$parola_alla $parola_settimana",$pag)."</option>";
if ($tipo_periodi == "g") echo "<option value=\"euro_s\">$Euro ".mex("alla settimana",$pag)."</option>";
echo "</select></span> ".mex("arrotondato a",$pag)."
<input type=\"text\" name=\"importa_arrotond\" id=\"imp_arr\" value=\"$arrotond_predef\" size=\"5\">
<input class=\"sbutton\" type=\"submit\" name=\"importa_tariffa\" value=\"".mex("importa",$pag)."\">
</div></form><table><tr><td style=\"height: 6px;\"></td></tr></table>
<hr style=\"width: 95%\">";

} # fine if ($lista_opt_tariffe)
} # fine if ($priv_mod_tariffe != "n")

if ($priv_ins_costi_agg != "n") {

# form per i costi aggiuntivi e per la caparra.
if (defined("C_MASSIMO_NUM_COSTI_AGG") and C_MASSIMO_NUM_COSTI_AGG != 0) {
$num_costi_agg_esistenti = esegui_query("select idntariffe from $tablenometariffe where idntariffe > 10");
$num_costi_agg_esistenti = numlin_query($num_costi_agg_esistenti);
if ($num_costi_agg_esistenti >= C_MASSIMO_NUM_COSTI_AGG) $aggiungi_costi_aggiuntivi = "NO";
} # fine if (defined("C_MASSIMO_NUM_COSTI_AGG") and C_MASSIMO_NUM_COSTI_AGG != 0)
if ($aggiungi_costi_aggiuntivi != "NO") {
echo "
<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"passo\" value=\"1\">
<input type=\"hidden\" name=\"avanti\" value=\"SI\">
<h5>".mex("Costi aggiuntivi",$pag)."</h5><br><br>
".mex("Nome del nuovo costo aggiuntivo",$pag).":
<input type=\"text\" name=\"nomecostoagg\" size=\"24\" value=\"$nomecostoagg\">.<br>
".mex("Tipo di costo aggiuntivo",$pag).":
<select name=\"tipo_ca\">";
if ($tipo_ca == "u") $selected = " selected";
else $selected = "";
echo "<option value=\"u\"$selected>".mex("unico",$pag)."</option>";
if ($tipo_ca == "s") $selected = " selected";
else $selected = "";
echo "<option value=\"s\"$selected>".mex("$parola_settimanale",$pag)."</option>
</select>.<br>
<br><div style=\"text-align: center;\">
<input class=\"sbutton\" type=\"submit\" name=\"inseriscicosti\" value=\"".mex("Procedi nell'inserimento del nuovo costo aggiuntivo",$pag)."\">
</div></div></form><br>
<hr style=\"width: 95%\">";

$dati_ca = dati_costi_agg_ntariffe($tablenometariffe,"NO");
$opt_costi_agg = "";
for ($numca = 0 ; $numca < $dati_ca['num'] ; $numca++) {
if ($attiva_costi_agg_consentiti == "n" or $costi_agg_consentiti_vett[$dati_ca[$numca]['id']] == "SI") {
$opt_costi_agg .= "<option value=\"".$dati_ca[$numca]['id']."\">".$dati_ca[$numca]['nome']."</option>";
} # fine if ($attiva_costi_agg_consentiti == "n" or...
} # fine for $numca
if ($opt_costi_agg) {
echo "<table><tr><td style=\"height: 6px;\"></td></tr></table>
<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"importa_costo\" value=\"SI\">
".mex("Inserisci un nuovo costo aggiuntivo chiamato",$pag)."
 <input type=\"text\" name=\"nomecostoagg\" size=\"20\">
 ".mex("importando le caratteristiche da",$pag)."
 <select name=\"costo_importa\">
$opt_costi_agg
</select>
<input class=\"sbutton\" type=\"submit\" value=\"".mex("importa",$pag)."\">.
<table><tr><td style=\"height: 6px;\"></td></tr></table>
</div></form><hr style=\"width: 95%\">";
} # fine if ($opt_costi_agg)
} # fine if ($aggiungi_costi_aggiuntivi != "NO")

} # fine if ($priv_ins_costi_agg != "n")

if ($priv_mod_tariffe != "n" and $lista_opt_tariffe) {
$arrotond_cap = ($arrotond_predef * 10);
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<h5>".mex("Caparra",$pag)."</h5><br>
<table cellspacing=\"0\"><tr><td>"
.mex("La caparra normale per la",$pag)."
 <select name=\"tipotariffa\">
$lista_opt_tariffe
</select> ".mex("è",$pag).":</td><td onclick=\"document.getElementById('tipo_cap_perc').checked='1'\">
<input type=\"radio\" name=\"tipo_caparra\" value=\"perc\" id=\"tipo_cap_perc\" checked>
 ".mex("il",$pag)." <input type=\"text\" name=\"caparra_percent\" size=\"2\" maxlength=\"3\">%
 ".mex("della tariffa arrotondato a",$pag)."
<input type=\"text\" name=\"caparra_arrotond\" value=\"$arrotond_cap\" size=\"5\"> $Euro.</td></tr>
<tr><td></td><td onclick=\"document.getElementById('tipo_cap_val').checked='1'\">
<input type=\"radio\" name=\"tipo_caparra\" value=\"val\" id=\"tipo_cap_val\">
<input type=\"text\" name=\"caparra_val\" size=\"5\"> $Euro.</td></tr>
<tr><td></td><td onclick=\"document.getElementById('tipo_cap_gio').checked='1'\">
<input type=\"radio\" name=\"tipo_caparra\" value=\"gio\" id=\"tipo_cap_gio\">
".mex("il prezzo della tariffa per $parola_le prim$lettera_e",$pag)." <select name=\"caparra_gio\">";
for ($num1 = 1 ; $num1 <= 10 ; $num1++) echo "<option value=\"$num1\">$num1</option>";
echo "</select> ".mex("$parola_settimane",$pag).".</td></tr>
</table>
<table><tr><td style=\"height: 2px;\"></td></tr></table><div style=\"text-align: center;\">
<input class=\"sbutton\" type=\"submit\" name=\"modificacaparra\" value=\"".mex("Inserisci o modifica la caparra",$pag)."\">
</div></div></form><br>
<hr style=\"width: 95%\">";
} # fine if ($priv_mod_tariffe != "n" and $lista_opt_tariffe)

if ($priv_mod_tariffe != "n" and $lista_opt_tariffe) {
$arrotond_com = ($arrotond_predef * 1);
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"modificacommissioni\" value=\"SI\">
<h5>".mex("Commissioni",$pag)."</h5><br>
<table cellspacing=\"0\"><tr><td>"
.mex("Le commissioni normali sulla",$pag)."
 <select name=\"tipotariffa\">
$lista_opt_tariffe
</select> ".mex("sono",$pag).":</td><td onclick=\"document.getElementById('tipo_com_perc').checked='1'\">
<input type=\"radio\" name=\"tipo_commissioni\" value=\"perc\" id=\"tipo_com_perc\" checked>
 ".mex("il",$pag)." <input type=\"text\" name=\"commissioni_percent\" size=\"2\" maxlength=\"3\">%
 ".mex("della",$pag)." <select name=\"commissioni_base\">
<option value=\"t\">".mex("tariffa",$pag)."</option>
<option value=\"ts\">".mex("tariffa + sconto",$pag)."</option>
<option value=\"tsc\">".mex("tariffa + sconto + costi agg.",$pag)."</option>
</select> ".mex("arrotondato a",$pag)."
<input type=\"text\" name=\"commissioni_arrotond\" value=\"$arrotond_com\" size=\"5\"> $Euro.
</td></tr><tr><td></td><td onclick=\"document.getElementById('tipo_com_val').checked='1'\">
<input type=\"radio\" name=\"tipo_commissioni\" value=\"val\" id=\"tipo_com_val\">
<input type=\"text\" name=\"commissioni_val\" size=\"5\"> $Euro ".mex("$parola_alla $parola_settimana",$pag).".
</td></tr></table>
<table><tr><td style=\"height: 2px;\"></td></tr></table><div style=\"text-align: center;\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Inserisci o modifica le commissioni normali",$pag)."\">
</div></div></form><br><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"modificacommper\" value=\"SI\">
<table cellspacing=\"0\"><tr><td>"
.mex("Sulla",$pag)."
 <select name=\"tipotariffa\">
$lista_opt_tariffe
</select> ".mex("dal",$pag)." ";
mostra_menu_date("./dati/selectperiodi$anno.1.php","comm_dal",$comm_dal,"","",$id_utente,$tema);
echo " ".mex("al",$pag)." ";
mostra_menu_date("./dati/selectperiodi$anno.1.php","comm_al",$comm_al,"","",$id_utente,$tema);
echo ":</td><td onclick=\"document.getElementById('tipo_com_percp').checked='1'\">
<input type=\"radio\" name=\"tipo_commissioni\" value=\"perc\" id=\"tipo_com_percp\" checked>
 ".mex("il",$pag)." <input type=\"text\" name=\"commissioni_percent\" size=\"2\" maxlength=\"3\">%
 ".mex("della",$pag)." <select name=\"commissioni_base\">
<option value=\"t\">".mex("tariffa",$pag)."</option>
<option value=\"ts\">".mex("tariffa + sconto",$pag)."</option>
<option value=\"tsc\">".mex("tariffa + sconto + costi agg.",$pag)."</option>
</select> ".mex("arrotondato a",$pag)."
<input type=\"text\" name=\"commissioni_arrotond\" value=\"$arrotond_com\" size=\"5\"> $Euro.
</td></tr><tr><td></td><td onclick=\"document.getElementById('tipo_com_valp').checked='1'\">
<input type=\"radio\" name=\"tipo_commissioni\" value=\"val\" id=\"tipo_com_valp\">
<input type=\"text\" name=\"commissioni_val\" size=\"5\"> $Euro ".mex("$parola_alla $parola_settimana",$pag).".
</td></tr></table>
<table><tr><td style=\"height: 2px;\"></td></tr></table><div style=\"text-align: center;\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Inserisci o modifica le commissioni in questo periodo",$pag)."\">
</div></div></form><br>
<hr style=\"width: 95%\">";
} # fine if ($priv_mod_tariffe != "n" and $lista_opt_tariffe)

if ($priv_mod_tariffe != "n" and $lista_opt_tariffe) {
$arrotond_tas = ($arrotond_predef * 1);
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"creaprezzi.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"modificatasse\" value=\"SI\">
<h5>".mex("Tasse",$pag)."</h5><br>
".mex("Tasse applicate sulla",$pag)."
 <select name=\"tipotariffa\">
$lista_opt_tariffe
</select>:
 <input type=\"text\" name=\"tasse_percent\" size=\"2\" maxlength=\"4\">%
 <input class=\"sbutton\" type=\"submit\" value=\"".mex("Inserisci o modifica le tasse",$pag)."\">
</div></form>
<small>(".mex("tutti i prezzi delle tariffe si intendono con tasse già incluse",$pag).")</small><br><br>";

if ($modifica_pers != "NO") {
if ($id_utente == 1) $id_utente_mod = "tutti";
else $id_utente_mod = $id_utente;
echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"./personalizza.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"id_utente_mod\" value=\"$id_utente_mod\">
<input type=\"hidden\" name=\"aggiorna_qualcosa\" value=\"SI\">
<input type=\"hidden\" name=\"origine\" value=\"./creaprezzi.php\">
<input type=\"hidden\" name=\"cambiaarrtasse\" value=\"SI\">";
$arrotond_tasse = esegui_query("select * from $tablepersonalizza where idpersonalizza = 'arrotond_tasse' and idutente = '$id_utente'");
$arrotond_tasse = virgola_in_num(risul_query($arrotond_tasse,0,'valpersonalizza'),$stile_soldi);
echo ucfirst(mex("valore a cui arrotondare le percentuali delle tasse","personalizza.php")).":
 <input type=\"text\" name=\"nuovo_arrotond_tasse\" size=\"4\" value=\"$arrotond_tasse\">
<input class=\"sbutton\" type=\"submit\" value=\"".mex("Cambia","personalizza.php")."\">
</div></form><br>";
} # fine if ($modifica_pers != "NO")

echo "<hr style=\"width: 95%\">";
} # fine if ($priv_mod_tariffe != "n" and $lista_opt_tariffe)

if ($priv_vedi_tab_periodi != "n") {
echo "<div style=\"text-align: center;\"><br>
<form accept-charset=\"utf-8\" method=\"post\" action=\"visualizza_tabelle.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input type=\"hidden\" name=\"tipo_tabella\" value=\"periodi\">
<input class=\"sbutton\" type=\"submit\" name=\"visualizza\" value=\"".mex("Vedi i prezzi già inseriti",$pag)."\">
</div></form><br>";
} # fine if ($priv_vedi_tab_periodi != "n")

echo "<form accept-charset=\"utf-8\" method=\"post\" action=\"inizio.php\"><div>
<input type=\"hidden\" name=\"anno\" value=\"$anno\">
<input type=\"hidden\" name=\"id_sessione\" value=\"$id_sessione\">
<input class=\"sbutton\" type=\"submit\" name=\"indietro\" value=\"".mex("Torna al menù principale",$pag)."\">
</div></form></div><br>";



} # fine if ($mostra_form_iniziale != "NO")

} # fine else if (($modificacaparra or $modificacommissioni or $modificacommper or $modificatasse) and $priv_mod_tariffe != "n")



if ($aggiorna_tariffe_interconn == "SI") {
$file_interconnessioni = "./dati/dati_interconnessioni.php";
if (@is_file($file_interconnessioni)) {
include($file_interconnessioni);
if (@is_array($ic_present)) {
$interconn_dir = opendir("./includes/interconnect/");
while ($mod_ext = readdir($interconn_dir)) {
if ($mod_ext != "." and $mod_ext != ".." and @is_dir("./includes/interconnect/$mod_ext")) {
include("./includes/interconnect/$mod_ext/name.php");
if ($ic_present[$interconnection_name] == "SI") {
$funz_update_rates = "update_rates_".$interconnection_name;
if (!function_exists($funz_update_rates)) include("./includes/interconnect/$mod_ext/functions.php");
$funz_update_rates($file_interconnessioni,$anno,$PHPR_TAB_PRE,1);
} # fine if ($ic_present[$interconnection_name] == "SI")
} # fine if ($modello_ext != "." and $modello_ext != ".." and...
} # fine while ($mod_ext = readdir($interconn_dir))
closedir($interconn_dir);
} # fine if (@is_array($ic_present))
} # fine if (@is_file($file_interconnessioni))
} # fine if ($aggiorna_tariffe_interconn == "SI")


if ($tema[$id_utente] and $tema[$id_utente] != "base" and @is_dir("./themes/".$tema[$id_utente]."/php")) include("./themes/".$tema[$id_utente]."/php/foot.php");
else include("./includes/foot.php");


} # fine if ($anno_utente_attivato == "SI" and ($priv_mod_tariffe == "s" or $priv_ins_costi_agg != "n"))
} # fine if ($id_utente)




?>